package gov.va.med.mhv.api.transfer;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "PrescriptionDetail")
public class PrescriptionDetailTO implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -9048417296659409892L;
	
	private String prescriptionNumber;
	private String prescriptionName;
	private String fillDate;
	private String dispensedDate;
	private String status;
	private String facility;
	private String orderedDate;
	private String quantity;
	private String refillsRemaining;
	private String expirationDate;

	public PrescriptionDetailTO() {
		
	}
	
	public PrescriptionDetailTO(String prescriptionNumber,
			String prescriptionName, String fillDate, String dispensedDate,
			String status, String facility, String orderedDate,
			String quantity, String refillsRemaining, String expirationDate) {
		this.prescriptionNumber = prescriptionNumber;
		this.prescriptionName = prescriptionName;
		this.fillDate = fillDate;
		this.dispensedDate = dispensedDate;
		this.status = status;
		this.facility = facility;
		this.orderedDate = orderedDate;
		this.quantity = quantity;
		this.refillsRemaining = refillsRemaining;
		this.expirationDate = expirationDate;
	}
	
	public String getPrescriptionNumber() {
		return prescriptionNumber;
	}
	public void setPrescriptionNumber(String prescriptionNumber) {
		this.prescriptionNumber = prescriptionNumber;
	}
	public String getPrescriptionName() {
		return prescriptionName;
	}
	public void setPrescriptionName(String prescriptionName) {
		this.prescriptionName = prescriptionName;
	}
	public String getFillDate() {
		return fillDate;
	}
	public void setFillDate(String fillDate) {
		this.fillDate = fillDate;
	}
	public String getDispensedDate() {
		return dispensedDate;
	}
	public void setDispensedDate(String dispensedDate) {
		this.dispensedDate = dispensedDate;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getFacility() {
		return facility;
	}
	public void setFacility(String facility) {
		this.facility = facility;
	}
	public String getOrderedDate() {
		return orderedDate;
	}
	public void setOrderedDate(String orderedDate) {
		this.orderedDate = orderedDate;
	}
	public String getQuantity() {
		return quantity;
	}
	public void setQuantity(String quantity) {
		this.quantity = quantity;
	}
	public String getRefillsRemaining() {
		return refillsRemaining;
	}
	public void setRefillsRemaining(String refillsRemaining) {
		this.refillsRemaining = refillsRemaining;
	}
	public String getExpirationDate() {
		return expirationDate;
	}
	public void setExpirationDate(String expirationDate) {
		this.expirationDate = expirationDate;
	}
	
}