package gov.va.med.mhv.api.transfer;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "Prescription")
public class PrescriptionTO {
	
	private String refillStatus;
	private String refillSubmitDate;
	private String refillDate;
	private Integer refillRemaining;
	private String facilityName;
	private Boolean isRefillable;
	private Boolean isTrackable;
	private Long prescriptionId;
	private String orderedDate;
	private Integer quantity;	
	private String expirationDate;;
	private String prescriptionNumber;
	private String prescriptionName;
	private String dispensedDate;
	private String stationNumber;
	
	public String getRefillStatus() {
		return refillStatus;
	}
	public void setRefillStatus(String refillStatus) {
		this.refillStatus = refillStatus;
	}
	public String getRefillSubmitDate() {
		return refillSubmitDate;
	}
	public void setRefillSubmitDate(String refillSubmitDate) {
		this.refillSubmitDate = refillSubmitDate;
	}
	public String getRefillDate() {
		return refillDate;
	}
	public void setRefillDate(String refillDate) {
		this.refillDate = refillDate;
	}
	public Integer getRefillRemaining() {
		return refillRemaining;
	}
	public void setRefillRemaining(Integer refillRemaining) {
		this.refillRemaining = refillRemaining;
	}
	public String getFacilityName() {
		return facilityName;
	}
	public void setFacilityName(String facilityName) {
		this.facilityName = facilityName;
	}
	public Boolean getIsRefillable() {
		return isRefillable;
	}
	public void setIsRefillable(Boolean isRefillable) {
		this.isRefillable = isRefillable;
	}
	public Boolean getIsTrackable() {
		return isTrackable;
	}
	public void setIsTrackable(Boolean isTrackable) {
		this.isTrackable = isTrackable;
	}
	public Long getPrescriptionId() {
		return prescriptionId;
	}
	public void setPrescriptionId(Long prescriptionId) {
		this.prescriptionId = prescriptionId;
	}
	public String getOrderedDate() {
		return orderedDate;
	}
	public void setOrderedDate(String orderedDate) {
		this.orderedDate = orderedDate;
	}
	public String getExpirationDate() {
		return expirationDate;
	}
	public void setExpirationDate(String expirationDate) {
		this.expirationDate = expirationDate;
	}
	public String getPrescriptionNumber() {
		return prescriptionNumber;
	}
	public void setPrescriptionNumber(String prescriptionNumber) {
		this.prescriptionNumber = prescriptionNumber;
	}
	public String getPrescriptionName() {
		return prescriptionName;
	}
	public void setPrescriptionName(String prescriptionName) {
		this.prescriptionName = prescriptionName;
	}
	public String getDispensedDate() {
		return dispensedDate;
	}
	public void setDispensedDate(String dispensedDate) {
		this.dispensedDate = dispensedDate;
	}
	public String getStationNumber() {
		return stationNumber;
	}
	public void setStationNumber(String stationNumber) {
		this.stationNumber = stationNumber;
	}
	public Integer getQuantity() {
		return quantity;
	}
	public void setQuantity(Integer quantity) {
		this.quantity = quantity;
	}
}
