<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@include file="include/printerFriendlyOpen.jspf"%>
<link href="/mhv-portal-web/ShowBinary/BEA%20Repository/css/homeStyles2.css" media="screen,print" type="text/css" rel="stylesheet" />
<link href="/mhv-portal-web/ShowBinary/BEA%20Repository/css/mainStyles.css" media="screen,print" type="text/css" rel="stylesheet" />
<style>
	.titleTab { background-repeat:repeat-x;}
	.greyTriangleBox {
		background:URL("/mhv-portal-web/ShowBinary/BEA%20Repository/images/bg_greyTriangleBox_ctr.jpg");
		background-repeat:repeat-x;
		background-color:#fff;
		padding:20px 5px 10px 5px;
		}
	.greyTriangleBox H4 {color:#0c2c59;margin-bottom:5px;}
	.greyTriangleBox UL {margin-top:0px;margin-bottom:5px;}
	.greyTriangleBox UL LI {font-size:12px;line-height:1.5em;}

	.yellowTriangleBox {
		background:URL("/mhv-portal-web/ShowBinary/BEA%20Repository/images/bg_yellowTriangleBox_ctr.jpg");
		background-repeat:repeat-x;
		background-color:#fff;
		padding:10px 5px 10px 5px;
		}
	.yellowTriangleBox H4 {color:#0c2c59;margin-bottom:5px;}
	.yellowTriangleBox UL {margin-top:0px;margin-bottom:5px;}
	.yellowTriangleBox UL LI {font-size:12px;line-height:1.5em;}
	BODY {font-family:Arial, Helvetica, sans-serif;font-size:12px;}
 	.greyupgrade {
	display:block;
	background-color: #CCCCCC;
	}

</style>

<!-- Begin Portlet Titlebar -->
<!--Begin 7.0 Toolbar -->
<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
  <tr>
    <td class="mhv-portlet-title-td">Online Authentication Instructions</td>
    <td class="mhv-username-date-td">&nbsp;</td>
  </tr>
</table>
<h2>Online Authentication Instructions</h2>
<p>These online instructions are to help you upgrade to a My Health<em><strong>e</strong></em>Vet <a href="https://www.myhealth.domain/mhv-portal-web/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#premiumaccount">Premium</a> Account. Before you <strong>Start to Upgrade your My Health<em>e</em>Vet Account</strong> online, please read and follow the steps below in the order they are listed.  This will aid you in accurately completing your form and help reduce any delay in the process.</p>

<p><strong>General Information:</strong></p>
<ul>
  <li>Currently Online Authentication works if you are logged in using your DS Logon Premium Username and Password.</li>
  <li>The process to Upgrade Your Account Online will take you off My Health<em><strong>e</strong></em>Vet to a trusted VA system</li>
  <li>When you finish, you will be able to view, print and or download a copy of your completed and signed online Release of Information Form (10-5345a-MHV) in My Health<em><strong>e</strong></em>Vet. Directions on how to view, print or download the completed form are included at the bottom of these instructions</li>
</ul>

<p><strong>What you may need before you begin:</strong></p>
<ul>
  <li><strong>Time</strong>: You may need about 15 minutes to complete the Online process</li>
  <li><strong>Tools</strong>:  Select <strong>Printer Friendly</strong> to make a paper copy of these instructions.  Doing this will help you during each step of the process.</li>
</ul>

<p><strong>This is what to do:</strong></p>
<p style="padding-left: 22px;">1. The process to upgrade your account online begins when you select the <strong>Continue</strong> button located at the bottom of this instruction page.</p>
<p style="padding-left: 22px;">2. To complete VA Release of Information Form 10-5345a-MHV online and upgrade your My Health<em><strong>e</strong></em>Vet account to <a href="https://www.myhealth.domain/mhv-portal-web/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#premiumaccount">Premium</a> follow these steps:</p>

<p style="padding-left: 44px;"><strong>Step 1:</strong></p>
<ul style="padding-left: 66px;">
  <li>Your name, Social Security Number and date of birth will display from your DoD record.  If you have concerns about your information, go to the <strong>DoD Help Desk</strong> link at the top of the page</li>
  <li>You may enter a phone number (this number will not be shared with your My Health<em><strong>e</strong></em>Vet account or your DoD records)</li>
  <li>Select the link on this page for <strong>More Information about your Individual Request for Electronic Access to your VA Health Record</strong></li>
  <li>Select the <strong>Save and Continue</strong> button at the bottom of the page.</li>
  <li>If you select the <strong>Cancel</strong> button, it will take you back to the previous page.</li>
</ul>

<p style="padding-left: 44px;"><strong>Step 2:</strong></p>
<ul style="padding-left: 66px;">
  <li>Check the box that will allow My Health<em><strong>e</strong></em>Vet to receive a copy of your available VA health record</li>
  <li>Select the <strong>Sign</strong> button</li>
  <li>Once you select <strong>Sign</strong>, a message will appear on the screen briefly, to let you know you need to re-enter your DS Logon Premium Username and Password</li>
  <li>You may select <strong>I Do Not Wish to Sign</strong>. This will take you back to previous page</li>
</ul>

<p style="padding-left: 44px;"><strong>Step 3:</strong></p>
<ul style="padding-left: 66px;">
  <li>On this page you need to re-enter your DS Logon Premium Username and Password</li>
  <li>Next select the <strong>Reauthenticate</strong> button</li>
</ul>

<p style="padding-left: 44px;"><strong>Step 4:</strong></p>
<ul style="padding-left: 66px;">
  <li>This takes you to a <strong>Congratulations</strong> message confirming that your form has been signed</li>
  <li>On the <strong>Congratulations</strong> message, select the <strong>X</strong> located in the box <img alt="Close" src="<%=request.getContextPath()%>/resources/images/close.gif"></img>.  This will end the process and take you back to My Health<em><strong>e</strong></em>Vet</li>
</ul>

<p style="padding-left: 22px;">3. When your account has been upgraded to <a href="https://www.myhealth.domain/mhv-portal-web/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#premiumaccount" target="_blank">Premium</a>, your status will change on your My Health<em><strong>e</strong></em>Vet <strong>Member</strong> login box to Premium.</p>
<p style="padding-left: 22px;">4. If you select <strong>CANCEL</strong> at the bottom of the Online Instruction page - it will stop the upgrade process.  You will return to the previous page.</p>

<p style="padding-left: 44px;">If you choose not to upgrade your account at this time:</p>
<ul style="padding-left: 66px;">
  <li>You will have the opportunity to upgrade the next time you log in using your DS Logon Username and Password</li>
  <li>Or, the next time you visit  your local VA health care facility, you can upgrade your account through <a href="/mhv-portal-web/resources/jsp/help.jsp?helpDirectRequest=ipa_help.html" target="_mhvHelp">In-Person Authentication</a></li>
</ul>

<p><strong>To get a copy of your form signed online:</strong></p>
<p>After you have completed and signed VA Release of Information Form (10-5345a- MHV), you will be able to view, print and/or download a copy.  To do this:</p>
<p style="padding-left: 22px;">1. Go to the <a href="https://www.myhealth.domain/" target="_blank">My Health<em><strong>e</strong></em>Vet</a> Homepage and log into your account if not already logged in</p>
<p style="padding-left: 22px;">2. Select  the <strong>Personal Information</strong> tab located on the top navigation bar</p>
<p style="padding-left: 22px;">3. Select the image <strong>My Account</strong></p>
<p style="padding-left: 22px;">4. On the <strong>Manage your My Health<em><strong>e</strong></em>Vet account</strong> page, select the link, <strong>My Account Type</strong></p>
<p style="padding-left: 22px;">5. On the <strong>My Account Type</strong> page</p>
<p style="padding-left: 44px;">a. Select the <strong>View & Print</strong> button, to view and/or print a PDF copy of your online, signed VA Release of Information Form 10-5345a- MHV</p>
<p style="padding-left: 44px;">b. Select the <strong>Download</strong> button to download a PDF copy of your online, signed VA Release of Information Form 10-5345a- MHV</p>

<p><font color=red><strong>Please be aware: </strong>Anytime you open/download a PDF file you create a temporary file on the computer you are using. Your information can be visible to other users of this computer.</font></p>

<p><strong>Note: </strong>To <strong>Start Upgrading Your My Health<em>e</em>Vet Account Online</strong> today, you will be taken to a trusted VA system.  When you select the <strong>Continue</strong> button some of your personal information in DoD (name, SSN, and date of birth) is transferred and stored on that website.  If you select <strong>Cancel</strong> it will take you back to the <strong>Start to Upgrade Your My Health<em>e</em>Vet Account</strong> page.</p>
