package gov.va.med.mhv.rxrefill.dbcp;

import org.apache.commons.dbcp.BasicDataSource;

public class RxRefillDataSource extends BasicDataSource {
	
	private static final String SID = "SID";
	private static final String SERVER_NAME = "serverName";

	public void setSID(String sid) {
		addConnectionProperty(SID, sid);
	}
	
	public String getSID() {
		return (String)connectionProperties.get(SID);
	}

	public void setServerName(String serverName) {
		addConnectionProperty(SERVER_NAME, serverName);
	}
	
	public String getServerName() {
		return (String)connectionProperties.get(SERVER_NAME);
	}
	
}