<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>

<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf" %>
<div class="mhv-portlet-title">
	<h2>Update Emergency Contact Information</h2>
</div>

<div class="mhv-printer-friendly-container">
  <a href="${pageContext.request.contextPath}/resources/jsp/help.jsp?helpDirectRequest=emergency-cont_add.html" 
     target="_mhvHelp">Help <img src="${pageContext.request.contextPath}/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
</div>

<p>Enter your emergency contact information below.</p>
<p><span class="mhv-required">*</span> Indicates Required Information</p>

<netui:form action="saveEmergencyContact">
	<%@ include file="editEmergencyContactPersonalInfo.jspf"%>
	<%@ include file="editEmergencyContactPrimaryInfo.jspf"%>
	<%@ include file="editEmergencyContactAddress.jspf"%>
	<%@ include file="editEmergencyContactContactInfo.jspf"%>
	<div class="mhv-button-container-align-right">
		<netui:button value="Save" type="submit" styleClass="mhv-input-button"/>
	</div>
</netui:form>
