<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<netui:form action="saveAction">
<%
	//US7.8 Implement Cancel Button
	Boolean cancelInfoMessageStatus = (Boolean) request.getAttribute("CANCEL_INFO_MESSAGE");
	Boolean middleNameInfoMessageStatus = (Boolean) request.getAttribute("MIDDLE_NAME_INFO_MESSAGE");
	if (cancelInfoMessageStatus != null && cancelInfoMessageStatus) {
%>
	<%@ include file="/resources/jsp/profileCancelMessageTemplate.jspf" %>	
<%
	} else if (middleNameInfoMessageStatus != null && middleNameInfoMessageStatus) {
%>
	<%@ include file="/resources/jsp/defaultMiddleNameMessageTemplate.jspf" %>	
<% } else {
%>
	<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf" %>
<% } %>
        <div class="mhv-portlet-title">
          <h2>Update Profile Information</h2>
        </div>

        <div class="mhv-printer-friendly-container">
		  <a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=help_manage-account.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		</div>

        <p>Update your My Health<strong><em>e</em></strong>Vet user profile information or 
        <netui:anchor href="${pageFlow.showWalletCardURL}">print a Wallet Card</netui:anchor>.

        <br />
        <p>* Indicates Required Information</p>


            <div id="">
                <%@ include file="editUserProfilePersonalInfo.jspf"%>
            </div>
            <div id="">
                <%@ include file="editUserProfileKinds.jspf"%>
            </div>
            <div id="">
                <%@ include file="editUserProfileDonor.jspf"%>
            </div>
            <div id="">
                <%@ include file="editUserProfileAddress.jspf"%>
            </div>
            <div id="">
                <%@ include file="editUserProfileContactInfo.jspf"%>
            </div>
            <div id="">
                <%@ include file="editUserProfileEmailPrefInfo.jspf"%>
            </div>            	            
            <!-- US7.4 -took out the Health Awareness section -->
            <div id="">
                <%@ include file="editUserProfileHints.jspf"%>
            </div>
            <div id="">
                <%@ include file="editUserTermsAgreement.jspf"%>
            </div>
            <div class="mhv-button-container-align-right">
                <netui:button value="Save" type="submit" styleClass="mhv-input-button"/>
				<netui:button action="cancelAction" value="Cancel" type="submit" onclick="mhv_wt_track(1);" styleClass="mhv-input-button"/>
            </div>


        </netui:form>