<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@taglib uri="http://www.bea.com/workshop/netui-tags-html-1.0" prefix="netui-compat"%>
<!-- Begin Portlet Titlebar -->
<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
  <tr>
    <td class="mhv-portlet-title-td">Manage VA Staff</td>
    <td class="mhv-username-date-td">&nbsp;</td>
  </tr>
</table>

<!--Begin 7.0 Toolbar -->
<div class="mhv-portlet-toolbar">
	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=mur_search-results.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
</div>

<!-- Begin Messages -->
<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>

<!-- Begin Portlet Heading -->
<h2>Search Results</h2>

<!--Begin Instructional Content -->
<p>The following VA staff members match your search criteria. Click a name to view details or to manage that person’s role.</p>

<!-- Begin Data Listing-->
<display:table sort="list" defaultsort="1" pagesize="10" requestURI="/returnToSearchResults.do" 
    id="row" name="${pageFlow.employeeSearchResultsList}" defaultorder="ascending" summary="Listing of Search Results">
    <display:setProperty name="paging.banner.item_name" value="name" />
    <display:setProperty name="paging.banner.items_name" value="names" />
    <display:column property="fullName" title="Name" sortable="true" href="manageEmployeeRoleAssignments.do" paramId="userName" paramProperty="userName"/>
    <display:column property="userName" title="VA Network ID" sortable="true" />
    <display:column property="title" title="Title" sortable="true"/>
    <display:column property="office" title="Office" sortable="true"/>
    <display:column property="phone" title="Phone" sortable="true"/>
</display:table>

<!-- Begin Form Buttons-->
<div class="mhv-button-container-align-right">
	&nbsp;&nbsp;&nbsp;<netui:anchor action="newSearch" styleClass="mhv-input-button">New Search</netui:anchor>
</div>

