<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@taglib uri="http://www.bea.com/workshop/netui-tags-html-1.0" prefix="netui-compat"%>

<!-- Begin Portlet Titlebar -->
<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
  <tr>
    <td class="mhv-portlet-title-td">Manage VA Staff</td>
    <td class="mhv-username-date-td">&nbsp;</td>
  </tr>
</table>

<!--Begin 7.0 Toolbar -->
<div class="mhv-portlet-toolbar">
	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=mur_manage-comments.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
</div>

<!-- Begin Messages -->
<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>

<!-- Begin Demographic Info-->
<%@ include file="employeeDetailHeader.jspf" %>

<!-- Begin Portlet Section Tabs-->
<div class="mhv-portlet-section-tabs">
	<netui:anchor action="gotoDefaultStateManageRoleTab">Assign Roles</netui:anchor>&nbsp;
	<netui:anchor action="gotoRoleHistoryTab">Role History</netui:anchor>&nbsp;
	<span>Comments</span>	
</div>

<!-- Begin Portlet Section Heading-->
<h3>Comments</h3>

<!-- Begin Form -->
<netui:form action="saveEmployee">

	<netui:hidden dataSource="actionForm.employeeUserName" dataInput="${pageFlow.employeeToManage.userName}" />

	<netui:textArea dataSource="actionForm.employeeComments" defaultValue="${pageFlow.employeeToManage.comments}" cols="125" rows="6" />

	<br />
	<br />
	<!-- Begin Form Buttons-->
	<div class="mhv-button-container-align-right">
	    &nbsp;&nbsp;&nbsp;<netui:button type="submit" value="Save" styleClass="mhv-input-button" />
		&nbsp;&nbsp;&nbsp;<netui:button type="submit" value="Reset" action="saveEmployeeReset" styleClass="mhv-input-button" />
		&nbsp;&nbsp;&nbsp;<netui:button type="submit" value="Cancel" action="saveEmployeeCancel" styleClass="mhv-input-button" />
	</div>
</netui:form>