<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<link href="/mhv-portal-web/ShowBinary/BEA%20Repository/global/mhv_styles_80.css" rel="stylesheet" type="text/css" />


        <div class="mhv-portlet-title">
          <h2>Forgot Password</h2>
        </div>
        
        <%@include file="defaultForgotPasswordNotificationTemplate.jspf"%>
        <p><span class="mhv-required">*</span> Indicates Required Information</p>        
        <netui:form action="resetPassword">
        <table class="bea-portal-layout" width="100%" border="0" cellpadding="1" cellspacing="1" summary="">
        		<tr>
               <td width="66%" valign="top" align="left">
									<table width="380" cellpadding="0" cellspacing="0" border="0" class="noticeBox">
										<tr><td align="center" valign="top" class="noticeTitle">
													<table align="center" cellpadding="5" cellspacing="0">
														<tr><td valign="middle" align="left" ><img src="/mhv-portal-web/ShowBinary/BEA%20Repository/images/icon_error-informational-40x40.gif" width="40" height="40" alt="Please Double check" border="0" /></td>
																<td valign="middle" align="left" >Before you continue...</td>
														</tr>
													</table>
										<tr><td align="left" valign="top" class="noticeText"><p><strong>Double-check your Password:</strong></p>
										<ul><li>It must be 8-12 characters long</li>
										<li>It must have at least one letter and one number</li>
										<li>It must have at least one special character<br />(For Example: ! , # , %)</li>
										<li>It must have no spaces</li>
										<li>It is case sensitive<br />(Check your Caps Lock)</li></ul></td></tr>
									</table>
                </td>
                <td width="34%">&nbsp;</td>
        		</tr>
            <tr>
                <td valign="top">
                		<hr />
                    <h3>Step 3. Reset Password</h3>
                    <p>Create a new password for accessing My Health<span class="mhv-e">e</span>Vet.</p>
                    
                    <table border="0" cellpadding="1" cellspacing="1" summary="">
                        <tr>
                            <td><label for="password">Enter New Password:<span class="mhv-required">*</span></label></td>
                            <td><netui:textBox password="true" dataSource="actionForm.password" tagId="password"/></td>
                        </tr>
                        <tr>
                            <td><label for="confirmPassword">Re-enter New Password:<span class="mhv-required">*</span></label></td>
                            <td><netui:textBox password="true" dataSource="actionForm.confirmPassword" tagId="confirmPassword"/></td>
                        </tr>
                    </table>
										<br />
                		<hr />
										<div class="mhv-button-container-align-right">
											<netui:button value="Reset Password" type="submit" styleClass="mhv-input-button"/>
										</div>
                </td>
                <td>&nbsp;</td>
            </tr>
        </table>
        
        </netui:form>
