<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>

        <div class="mhv-portlet-title">
          <h2>Forgot User ID</h2>
        </div>

        <%@include file="defaultForgotUsernameNotificationTemplate.jspf"%>
        <p><span class="mhv-required">*</span> Indicates Required Information</p>

        <netui:form action="getUserName">
        <table width="66%" border="0" cellpadding="1" cellspacing="1">
            <tr>
                <td width="66%" valign="top">
                <hr />
                    <h3>Step 2. Password Hint Questions</h3>
                    <p>Please enter the answers to the two Password Hint questions you provided when you registered on My Health<b><i>e</i></b>Vet. To process your request, at least one of your answers must be correct. Upon successful completion, your User ID will be retrieved. You will also have the option to log in.</p>

                    <table border="0" cellpadding="1" cellspacing="1">
                        <tr>
                            <td><label for="hintAnswer1">1. <netui:span value="${pageFlow.question1}"/>:<span class="mhv-required">*</span></label></td>
                            <td><netui:textBox dataSource="actionForm.userProfilePasswordHintAnswer1" tagId="hintAnswer1"/></td>
                        </tr>
                        <tr>
                            <td><label for="hintAnswer2">2. <netui:span value="${pageFlow.question2}"/>:<span class="mhv-required">*</span></label></td>
                            <td><netui:textBox dataSource="actionForm.userProfilePasswordHintAnswer2" tagId="hintAnswer2"/></td>
                        </tr>
                    </table>
										<br />
										<hr />
										<div class="mhv-button-container-align-right">
											<netui:button value="Next Step" type="submit" styleClass="mhv-input-button"/>
										</div>
                </td>
            </tr>
        </table>

        </netui:form>




