<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
		<!-- Begin Portlet Titlebar -->
		<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
		  <tr>
		    <td class="mhv-portlet-title-td">Manage MHV Users (All Accounts)</td>
		    <td class="mhv-username-date-td">&nbsp;</td>
		  </tr>
		</table>
		
		<%@ include file="erar.jspf"%>
		<div id="modalalertdiv" style="display:none;">
               <div id='mhv-informational-box' style='margin: 0px; padding: 0px;'>
	               <table>
		               <tr><td valign='top'>
					   <br/><img src='/mhv-portal-web/resources/images/icon_error-conditional-40x40.gif' alt='Alert' title='Alert' class='mhv-error-icon'/></td>
		               <td>
			               <div id='mhv-phr-update-message-informational'><br/>
				               When you open or download a PDF file, a temporary file is created on this computer. Others accessing this computer may be able to view
							   personal information.  There is a risk of exposing information when you download a PDF file, especially on public or 
							   shared computers.
				               <table id='alertTable'>
					               <tr>
						               <td width='95%'></td>
						               <td><input type='button' id='continueBtn' value='Continue' onclick='retrieveDocument();' class='mhv-input-button'></td>
									   <td><input type='button' id='closeBtn' value='Cancel' onclick='dhtmlmodal.closeveil();vapwindow.close();' class='mhv-input-button'></td>
								   </tr>
							   </table>
			               	   <br/>
			               </div>
		               </td></tr>
	               </table>
               </div>
		</div>
		
		<!--Begin 7.0 Toolbar -->
		<div class="mhv-portlet-toolbar">
			<c:choose>
		  <c:when test="${!empty pageFlow.currentIPA.status.name && (pageFlow.currentIPA.status.name == 'InProcess')}">
		  	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=ipa_status-inProcess.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		  </c:when>
		
		  <c:when test="${!empty pageFlow.currentIPA.status.name && (pageFlow.currentIPA.status.name == 'PrerequisitesComplete')}">
		  	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=ipa_status-prereqCompleted.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		  </c:when>
		
		  <c:when test="${!empty pageFlow.currentIPA.status.name && (pageFlow.currentIPA.status.name == 'Authenticated')}">
		  	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=ipa_basic_search.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		  </c:when>
		  <c:otherwise>
				<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=ipa_status_all_accounts.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		  </c:otherwise>
		 </c:choose>
			
		</div>
		
		<!-- Begin Messages -->
		<%@ include file="/resources/jsp/ipaNotificationTemplate.jspf"%>
		<% 			
			Object displayError = session.getAttribute("displayError");
			System.out.println("displayError:"+displayError);
			if(displayError != null && displayError.toString().equalsIgnoreCase("vapiiError")) {
				String contextPath = request.getContextPath();
				out.println("<div id=\"mhv-error-box\" style=\"display:none;\">");
				out.println("<img src=\""+contextPath+"/resources/images/icon_error-critical.gif\" alt=\"Alert\" title=\"Alert\" class=\"mhv-error-icon\"/>");
				out.println("<a id='errorMsgAnchor' href='#' name='ERROR_MESSAGES' style='cursor:default; text-decoration: none; color: black;'>");
				out.println("<div id=\"mhv-error-message-critical\">");
				out.println("<span class=\"mhv-error-message-header\">The system is not able to display your signed online Release of Information form at this time.<br> Please try again later.</span>");
				out.println("</div>");
				out.println("</div>");
			}else if(displayError != null && displayError.toString().equalsIgnoreCase("formNotFound")) {
				String contextPath = request.getContextPath();
				out.println("<div id=\"mhv-error-box\" style=\"display:none;\">");
				out.println("<img src=\""+contextPath+"/resources/images/icon_error-critical.gif\" alt=\"Alert\" title=\"Alert\" class=\"mhv-error-icon\"/>");
				out.println("<a id='errorMsgAnchor' href='#' name='ERROR_MESSAGES' style='cursor:default; text-decoration: none; color: black;'>");
				out.println("<div id=\"mhv-error-message-critical\">");
				out.println("<span class=\"mhv-error-message-header\">Right of Access Release Form (10-5345a-MHV) not found</span>");
				out.println("<p>We were unable to locate an online Right of Access Release (10-5345a-MHV) form in the VA system. "+
						"This can occur during the online process if the form was not:</p>");
				out.println("\t\t\t<ul>");
				out.println("\t\t\t\t<li>Completed</li>");
				out.println("\t\t\t\t<li>Signed</li>");
				out.println("\t\t\t\t<li>Submitted</li>");
				out.println("\t\t\t\t<li>Or you selected <strong>Cancel</strong> during the online process</li>");
				out.println("\t\t\t</ul>");
				out.println("\t\t\t<p>Please try again</p>");
				out.println("\t\t\t<p>If you need help go to <a href='?_nfpb=true&_nfto=false&_pageLabel=contactMHV'>Contact MHV</a></p>");
				out.println("\t\t</span>");
				out.println("\t</div>");
				out.println("</div>");
			}	
		%>
		
		<!-- Begin Portlet Heading -->
		<h2>MHV Patient: <netui:content value="${pageFlow.selectedUserProfileName}" /></h2>
		
		<!-- Begin Demographic Info-->
		<%@include file="basicSearchDetailSummary.jspf" %>
		<div class="mhv-button-container-align-right">
			<c:if test="${pageFlow.displayDownloadERARButton}">
				<% 
					if(displayError != null && displayError.toString().length()> 0) {
				%>
						<netui:anchor href="javascript:displayVapiiError()" style="text-decoration: none" styleClass="mhv-input-button">Download eRAR pdf</netui:anchor>					
						<netui:anchor href="javascript:displayVapiiError()" style="text-decoration: none" styleClass="mhv-input-button">View/Print</netui:anchor>					
				<% 
					} else {
				%>
						<netui:anchor href="javascript:vapprompt()" style="text-decoration: none" styleClass="mhv-input-button">
								Download eRAR pdf
				        </netui:anchor>					
					    <netui:anchor formSubmit="true" value="View/Print" action="viewPrint" type="submit" styleClass="mhv-input-button"/>
				<% 
					}
				%>
			</c:if>
			<c:if test="${pageFlow.displayMatchButton}">
				<netui:anchor formSubmit="true" value="Match" action="basicMatch" type="submit" styleClass="mhv-input-button"/>
			</c:if>
			<netui:anchor value="Cancel" action="cancelToBasicResults" type="button" styleClass="mhv-input-button"/>
		</div>