<%@page import="gov.va.med.mhv.usermgmt.transfer.PatientInformation, gov.va.med.mhv.usermgmt.enumeration.AuthenticationStatus" %>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
		<% boolean canAuthenticate=false; %>
		<!-- Begin Portlet Titlebar -->
		<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
		  <tr>
		    <td class="mhv-portlet-title-td">Manage MHV Users (All Accounts)</td>
		    <td class="mhv-username-date-td">&nbsp;</td>
		  </tr>
		</table>
		
		<!--Begin 7.0 Toolbar -->
		<div class="mhv-portlet-toolbar">
		    <netui:anchor action="basicPrinterFriendlyView">
		    	Printer Friendly <img src="<%=request.getContextPath()%>/resources/images/icons15/icoPrinterFriendly15.gif" height="15" width="15" alt="View Printer Friendly Version" border="0" />
		    </netui:anchor>
		    |
			<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=ipa_all_accounts_search-results.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		</div>
		
		<!-- Begin Messages -->
		<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>
		
		<!-- Begin Portlet Heading -->
		<h2>Search MHV Users - Search Results</h2>
		
		<!--Begin Instructional Content -->
		<p>
			The following MHV Users match your <b>Search</b> request. Select a user's name to view details.
		</p>
		<!-- MHV_CodeCR1386 - Added gender to display -->
		<netui:form action="authenticateMany">
		<display:table sort="list"
		               defaultsort="1"
		               pagesize="${pageFlow.pageSize}"
		               requestURI="/handleDisplayTagAction.do"
		               id="row"
		               uid="row"
		               name="sessionScope.userProfiles"
		               defaultorder="ascending"
		               decorator="gov.va.med.mhv.usermgmt.decorator.IPABasicSearchResultsDecorator">
			<display:column property="name" sortable="true" href="performBasicSearchDetail.do" title="Name" paramId="id" paramProperty="id"/>
			<display:column property="gender" sortable="true" title="M/F"/>
			<display:column property="lastFourSsn" sortable="true" title="SSN"/>
			<display:column property="dateOfBirth" sortable="true" title="YOB"/>
		</display:table>
   
    	<div class="mhv-button-container-align-right">
			<netui:anchor action="basicRefresh" styleClass="mhv-input-button">Refresh</netui:anchor>
			<netui:anchor action="newBasicSearch" styleClass="mhv-input-button">New Search</netui:anchor>
		</div>
    	</netui:form>