<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ page language="java" contentType="text/html;charset=UTF-8"%>

		<!-- Begin Portlet Titlebar -->
		<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
		  <tr>
		    <td class="mhv-portlet-title-td">Manage MHV Users</td>
		    <td class="mhv-username-date-td">&nbsp;</td>
		  </tr>
		</table>
		
		<!--Begin 7.0 Toolbar -->
		<div class="mhv-portlet-toolbar">
			<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=ipa_verify-removal.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		</div>
		
		<!-- Begin Messages -->
		<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>
		
		<h2>MHV Patient: <netui:content value="${pageFlow.patientSummary.fullName}" /></h2>
		
		<!-- Begin Demographic Info-->
		<%@include file="patientSummary.jspf" %>
		
		<!-- Begin Verification Form -->
		<br />
		<h3>Verify Authentication Removal</h3>
		<p>Are you sure you would like to remove the authentication currently active for this patient?</p>
		
		<!-- Begin Form Buttons-->
		<div class="mhv-button-container-align-right">
		    <netui:anchor action="remove" value="Continue Removal" styleClass="mhv-input-button" />
		    <netui:anchor action="cancel" value="Cancel" styleClass="mhv-input-button" />
		</div>