<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@page import="gov.va.med.mhv.usermgmt.transfer.Activity, gov.va.med.mhv.usermgmt.enumeration.ActivityTypeEnumeration" %>

<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ include file="/resources/jsp/CalendarPopup.jspf"%>
<script>
function getHelpContextPath(){
	return '<%= request.getContextPath() %>';
}		
</script>
<!-- Begin Portlet Titlebar -->
<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
  <tr>
    <td class="mhv-portlet-title-td">Account Activity History</td>
    <td class="mhv-username-date-td">&nbsp;</td>
  </tr>
</table>

<!--Begin 7.0 Toolbar -->
<div class="mhv-portlet-toolbar">
    <netui:anchor action="printerFriendlyListView">
    	Printer Friendly <img src="<%=request.getContextPath()%>/resources/images/icons15/icoPrinterFriendly15.gif" height="15" width="15" alt="View Printer Friendly Version" border="0" />
    </netui:anchor>
    |
	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=aal_history.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
</div>

<!-- Begin Messages -->
<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>

<h2>Account Activity Summary for 
	<netui:span value="${pageFlow.currentUserProfile.fullName}"></netui:span></h2>

<!--Begin Instructional Content -->
<p>
	With this feature, you can view and print available account activity (such as logins and password changes).
</p>
<hr />
<!-- Begin Second Portlet Heading -->
<h2>View Activities within a date range:</h2>

<!--Begin Second Instructional Content -->
You can view activities dating back to <b><netui:span value="${pageFlow.twelveMonthsFromTodayAsString}"></netui:span></b>
<%-- [DATE TWELVE MONTHS FROM CURRENT LOGIN] --%>
<!-- Begin Search -->
<netui:form action="queryForUserAccountActivities">
<input type="hidden" name="test" value="this is a hidden test"/>
<table border="0" cellpadding="2" cellspacing="0" summary="Search MHV Users">
	<tr>
		<th scope="row" class="mhv-basic-layout-scope-row" align="right">
			<netui:label for="fromDateYear" value="From"/>:
		</th>
		<td>
			<div><span class="mhv-field-level-message-critical"><netui:content value="${actionForm.fromDateRangeErrorMessage}"/></span></div>
			<label for="fromDateMonth" class="mhv-hidden-label">From Date Month</label>
			<netui:select defaultValue="${pageFlow.twelveMonthsFromTodayMonth}" tagId="fromDateMonth" dataSource="actionForm.fromDateMonth" optionsDataSource="${pageFlow.monthOptions}"/>
			<label for="fromDateDay" class="mhv-hidden-label">From Date Day</label>
			<netui:select defaultValue="${pageFlow.twelveMonthsFromTodayDay}" tagId="fromDateDay" dataSource="actionForm.fromDateDay" optionsDataSource="${pageFlow.dayOptions}"/>
			<label for="fromDateYear" class="mhv-hidden-label">From Date Year</label>
			<netui:select defaultValue="${pageFlow.twelveMonthsFromTodayYear}" tagId="fromDateYear" dataSource="actionForm.fromDateYear" optionsDataSource="${pageFlow.yearOptions}"/>
		    <script>
		    	var fromCal = new MHVCalendarPopup();
		    	fromCal.setYearFieldId('fromDateYear');
		    	fromCal.setMonthFieldId('fromDateMonth');
		    	fromCal.setDayFieldId('fromDateDay');
		    	fromCal.setCalYearEnd(<%=gov.va.med.mhv.core.util.MHVCalendarUtils.getCurrentYear()%>);
		    	fromCal.setCalYearStart(<%=gov.va.med.mhv.core.util.MHVCalendarUtils.getLastYear()%>);	
		    	fromCal.setContext('<%=request.getContextPath()%>/resources');
		    	fromCal.writeCalendarLink('fromCal');
		    </script>
		    <noscript>
		     <!-- For 508 Compliance -->
		    </noscript>  
		</td>
	</tr>
	<tr>
		<th scope="row" class="mhv-basic-layout-scope-row" align="right">
			<netui:label for="toDateYear" value="To"/>:
		</th>
		<td>
			<div><span class="mhv-field-level-message-critical"><netui:content value="${actionForm.toDateRangeErrorMessage}"/></span></div>
			<label for="toDateMonth" class="mhv-hidden-label">To Date Month</label>
			<netui:select defaultValue="${pageFlow.todayMonth}" tagId="toDateMonth" dataSource="actionForm.toDateMonth" optionsDataSource="${pageFlow.monthOptions}"/>
			<label for="toDateDay" class="mhv-hidden-label">To Date Day</label>
			<netui:select defaultValue="${pageFlow.todayDay}" tagId="toDateDay" dataSource="actionForm.toDateDay" optionsDataSource="${pageFlow.dayOptions}"/>
			<label for="toDateYear" class="mhv-hidden-label">To Date Year</label>
			<netui:select defaultValue="${pageFlow.todayYear}" tagId="toDateYear" dataSource="actionForm.toDateYear" optionsDataSource="${pageFlow.yearOptions}"/>
		    <script>
		    	var toCal = new MHVCalendarPopup();
		    	toCal.setYearFieldId('toDateYear');
		    	toCal.setMonthFieldId('toDateMonth');
		    	toCal.setDayFieldId('toDateDay');
		    	toCal.setCalYearEnd(<%=gov.va.med.mhv.core.util.MHVCalendarUtils.getCurrentYear()%>);
		    	toCal.setCalYearStart(<%=gov.va.med.mhv.core.util.MHVCalendarUtils.getLastYear()%>);	
		    	toCal.setContext('<%=request.getContextPath()%>/resources');
		    	toCal.writeCalendarLink('toCal');
		    </script>
		    <noscript>
		     <!-- For 508 Compliance -->
		    </noscript>		
		</td>
    </tr>	
<tr><td>&nbsp;</td></tr>	
<tr>
		<th scope="row" class="mhv-basic-layout-scope-row" align="right">
			<netui:label for="activityPerformerType" tagId="activityPerformerType" value="Performed By"/>:
		</th>
        <td>
        <netui:select tagId="activityPerformerType" dataSource="actionForm.activityPerformerType" optionsDataSource="${pageFlow.performedByOptions}"/>
		</td>
	</tr>
</table>

<br />

<!-- Begin Form Buttons -->
<div class="mhv-button-container-align-right">
	<netui:anchor formSubmit="true" value="Search" action="queryForUserAccountActivities" type="submit" styleClass="mhv-input-button"/>
</div>
</netui:form>
<display:table id="${pageflow.tableUID}" 
	               uid="${pageflow.tableUID}" 
	               name="${pageFlow.currentActivities}" 
	               pagesize="10" 
	               sort="list"  
	               defaultsort="${pageFlow.defaultSortProperty}" 
	               defaultorder="${pageFlow.defaultSortOrder.name}"
	               decorator="gov.va.med.mhv.usermgmt.portlet.aal.decorator.ActivityDecorator"
	               requestURI="/handlePagingAndSorting.do">
	    <display:column title="Date/Time" property="completionTime" format="{0,date,M/d/yyyy h:mm a zzz}" sortable="true" comparator="gov.va.med.mhv.usermgmt.portlet.aal.decorator.ActivityDecorator"/>
	    <display:column property="performerType" title="Performed By" sortable="true"/>
	    <display:column property="actionType" sortable="true" href="viewAccountActivityDetail.do" paramId="activityId" paramProperty="activityId" title="Activity"/>
	    <display:column property="action" title="Action" sortable="true"/>
		<display:column property="status" title="Result" sortable="true" />
</display:table>
<div align="right">
	<netui:anchor action="backToSelectedUser" styleClass="mhv-input-button">Done</netui:anchor>
</div>

