<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
    <%@include file="/resources/jsp/defaultNotificationTemplate.jspf"%>

<table>
    <tr><td><h2>Search Results</h2></td></tr>

    <tr><td>Click the name of the user requesting assistance.</td></tr>

    <tr><td>&nbsp;</td></tr>
	<!-- MHV_CodeCR1387 - updated display columns   -->
    <tr>
        <td>
        <display:table sort="list" defaultsort="1" decorator="gov.va.med.mhv.usermgmt.decorator.UserProfileDecorator" 
               requestURI="/handleDisplayTagAction.do" id="row" name="sessionScope.userProfiles" defaultorder="ascending" summary="">
            <display:column property="lastName" title="Last Name" sortProperty="sortableFullName" href="selectUser.do" paramId="id" paramProperty="id"/>
	        <display:column property="firstName" title="First Name"/>
	        <display:column property="middleName" title="Middle Name"/>
	        <display:column property="userName" title="MHV User ID"/>
	        <display:column property="gender" title="M/F"/>
            <display:column property="ssn" title="SSN"/>
            <display:column property="birthDate" title="DOB"/>
            <display:column property="contactInfoEmail" title="Email Address"/>
            <display:column property="patientFlag" title="VA Patient"/>
            <display:column property="deactivated" title="Deactivated"/>
            <display:column property="deactivationReason" title="Reason"/>
        </display:table>

		<netui:form action="begin">
		    <netui:button value="New Search" type="submit" styleClass="mhv-input-button"/>
		</netui:form>
        </td>
    </tr>

</table>
