<%@taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/ad" prefix="ad"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/personalization" prefix="pz"%>
<%@ taglib uri="http://www.bea.com/servers/p13n/tags/utility" prefix="utility"%>
<%@ taglib uri="http://struts.apache.org/tags-nested" prefix="nested" %>

<div id="mhv-error-box">
<img src="resources/images/icon_error-critical.gif" alt="Important Message" title="Important Message" class="mhv-error-icon"/>
<div id="mhv-error-message-conditional">
<span class="mhv-error-message-header">Important Message from My Health<span class="mhv-e">e</span>Vet</span>
<span class="mhv-error-text">
<p><strong>The <a href="<%=request.getContextPath()%>/gov/va/med/mhv/usermgmt/register/termsAndConditions.jsp" target="_blank">Terms and Conditions</a> for using My Health<span class="mhv-e">e</span>Vet have been updated. Please take time to review and accept.</strong></p>
<p><strong>Accepting </strong>the new Terms and Conditions will:</p>
<ul><li>Allow you to login to your My Health<span class="mhv-e">e</span>Vet account.</li></ul>
<p>By <strong>Not accepting </strong> the new Terms and Conditions</p>
<ul><li>You will not be able to login to your My Health<span class="mhv-e">e</span>Vet account</li></ul>
<!-- 
 MHV_CodeCR1294 - Corrected the MHV spelling
 -->
<p>If you need help or have questions, <a href="<%=request.getContextPath()%>/ShowBinary/BEA%20Repository/contact_mhv_terms-conditions1.html" target="_blank">Contact MHV</a></p>
<p><strong>Note:<a href="<%=request.getContextPath()%>/gov/va/med/mhv/usermgmt/register/termsAndConditions.jsp" target="_blank">Terms and Conditions</a> are located at the bottom of every My Health<span class="mhv-e">e</span>Vet page.</strong></p>
</span>
</div>
</div>

<%-- The pz:contentQuery tag performs a content attribute search for content in the Repository Manager,
        returning an array of Node objects from the Repository Manager. --%>
 <pz:contentSelector id="nodes" rule="termsAndConditionsSummary" sortBy="display_order ASC" />
 <nested:notEmpty name="nodes">                    
     <utility:forEachInArray array="<%=nodes%>" id="node" type="com.bea.content.Node" counterId="i">
  
   <nested:notEmpty name="node">                    
    <ad:render id="node" />
   </nested:notEmpty> 

	<br />

</utility:forEachInArray>
</nested:notEmpty> 
<netui:form action="termsAndConditionsAction">
	<!-- 
	CR 1160 - Secured Message Terms and Conditions Implementation
	Added SM T&C
	-->
	<netui:checkBox dataSource="actionForm.userProfileAcceptSMTerms" tagId="userProfileAcceptSMTerms"/> <netui:label for="userProfileAcceptSMTerms" value="Accept"/> <a href="<%=request.getContextPath()%>/gov/va/med/mhv/usermgmt/register/smTermsAndConditions.jsp" target="_blank">Secure Messaging Terms & Conditions</a>
	<br />
	<br />
	<div class="mhv-form-help-container">
		Secure Messaging is a way for VA Patients to send electronic messages to their VA health care teams.  
		Secure Messaging is available to users with an <a href="<%=request.getContextPath()%>/ShowBinary/BEA%20Repository/ipa/ipa_instructions-anonymous.html" target="_blank">upgraded MHV account.</a> 
		Agreeing to the Secure Messaging Terms & Conditions here allows you to use Secure Messaging if/when you meet the user criteria.				
	</div>
	<br />
	<br />
	<!-- 
	 MHV_CodeCR1291 - Removed 'All' from Read Terms and Conditions
	 -->
	<div class="mhv-button-container-align-right"><netui:anchor action="viewFullTermsAndConditions">Read Terms and Conditions</netui:anchor>
		<br />
		<br />
		<br />
		<br />
		<netui:button action="accept" value="I Accept MHV Terms and Conditions" styleClass="mhv-input-button" />
	    <netui:button action="rejectFirstTime"	value="I Do Not Accept Terms and Conditions" styleClass="mhv-input-button" />
    </div>
</netui:form>
  