<%@ page import="java.io.*, java.util.*"%>
<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ page import="org.tigris.atlas.messages.Messages"%>
<% 
//Jazz #110486 RemoteID Proofing - User Starts on the MHV Home Page - Landing page for login with different accounts
Object displayError = session.getAttribute("displayError");
if(displayError != null && displayError.toString().equalsIgnoreCase("vapiiUnavail")) {
	String contextPath = request.getContextPath();
	out.println("<div id=\"mhv-error-box\">");
	out.println("<img src=\""+contextPath+"/resources/images/icon_error-critical.gif\" alt=\"Alert\" title=\"Alert\" class=\"mhv-error-icon\"/>");
	out.println("<a id='errorMsgAnchor' href='#' name='ERROR_MESSAGES' style='cursor:default; text-decoration: none; color: black;'>");
	out.println("<div id=\"mhv-error-message-critical\">");
	out.println("\t\t\t<p>Sorry, you cannot Upgrade your Account to Premium at this time.</p>");
	out.println("\t\t\t<p>The AccessVA website is not available.</p>");
	out.println("\t\t\t<p>Please come back later and try again.</p>");
	out.println("</div>");
	out.println("\t</a>");
	out.println("</div>");
}
%>
<script language="JavaScript">
function selectUpgradeOption() {
	var options = document.getElementsByName('upgradeOptionSelected');
	for (var i = 0, length = options.length; i < length; i++) {
	    if (options[i].checked) {
	        // do whatever you want with the checked radio
			if(options[i].value=="upgrade") {
				window.location.href="?_nfpb=true&_nfto=false&_pageLabel=upgradeAccount"; 
			} else if(options[i].value=="no") {
				window.location.href="?"; 
			}
	        break;
	    }
	}		
}	
</script>
<div class="mhv-portlet-toolbar">
	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=upgrade_help.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
    |
    <netui:anchor action="viewPrint">
    	Printer Friendly <img src="<%=request.getContextPath()%>/resources/images/icons15/icoPrinterFriendly15.gif" height="15" width="15" alt="View Printer Friendly Version" border="0" />
    </netui:anchor>
</div>
<h2>Upgrade Account to Premium – Instructions</h2>
<P>
<strong>Why should I upgrade my My Health<em><strong>e</strong></em>Vet Advanced account to a Premium account?</strong> A Premium account is for Veterans and/or VA Patients.  It gives you the highest level of access to My Health<em><strong>e</strong></em>Vet features.  To learn more about the different account types and what each offers, visit <a href="?_nfpb=true&_nfto=false&_pageLabel=spotlightArchive&contentPage=ipa/mhv_account_status-definitions.html" target="_mhvHelp">My HealtheVet Account Types</a>.
</p>
<P>
These instructions are to help you upgrade your My Health<em><strong>e</strong></em>Vet <a href="?_nfpb=true&_nfto=false&_pageLabel=spotlightArchive&contentPage=ipa/mhv_account_status-definitions.html#advanced" target="_mhvHelp">Advanced</a> Account to a <a href="?_nfpb=true&_nfto=false&_pageLabel=spotlightArchive&contentPage=ipa/mhv_account_status-definitions.html#premium" target="_mhvHelp">Premium</a> Account.  <strong>Before you start</strong>, please read and follow the steps below in the order they are listed.  You may print a copy of the instructions using the <strong>Printer Friendly</strong> link at the top of the page.
<p>
<strong>Step 1</strong>	 &nbsp;&nbsp;To upgrade your Advanced My HealtheVet account to a Premium account, you will be taken to the AccessVA website.  The upgrade starts when you select the <strong>CONTINUE</strong> button at the bottom of this page.  
</p>
<p>
<strong>Step 2</strong>	 &nbsp;&nbsp;Next, select the <strong>LOG IN</strong> button of your Credential Service Provider (CSP) account.  If you do not have an account with a listed CSP, select <strong>REGISTER</strong> to create a new account.  You will be taken to the website for the CSP you selected.   
</p>
<p>
<strong>Step 3</strong>	 &nbsp;&nbsp;After you have registered and/or logged in with a CSP, you are returned to My Health<em><strong>e</strong></em>Vet to continue the upgrade process.</p>
<p>
<strong>Step 4</strong>	 &nbsp;&nbsp;If your CSP credentials were not previously connected to your My Health<em><strong>e</strong></em>Vet account, you will be prompted to:
</p>
<ul>
<li>Connect your My Health<em><strong>e</strong></em>Vet account by selecting <strong>Go to My Health<em>e</em>Vet</strong></li>
<li>Re-enter your My Health<em><strong>e</strong></em>Vet User ID and Password</li>
<li>Select <strong>Yes, I would like to start upgrading my account Online</strong></li>
<li>Review and/or print the instructions and select <strong>Continue</strong></li>
</ul>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;If your CSP credentials were previously connected to your My Health<em><strong>e</strong></em>Vet account, you will not be prompted to connect your My Health<em><strong>e</strong></em>Vet account by re-entering your My Health<em><strong>e</strong></em>Vet User ID and Password.  Simply select: 
</p>
<ul>
<li><strong>Yes, I would like to start upgrading my account Online</strong></li>
<li>Review and/or print the instructions and select <strong>Continue</strong></li>
</ul>
<p>
If you select the <strong>Not Interested at this Time</strong> button, you will be returned to the previous page.  You will have the opportunity to upgrade the next time you log into My Health<em><strong>e</strong></em>Vet.
</p>
<p>
You may also upgrade your My Health<em><strong>e</strong></em>Vet account to Premium the next time you visit your local VA health care facility. Talk to the My Health<em><strong>e</strong></em>Vet Coordinator about upgrading your account through In-Person Authentication.
</p>
<p>
<strong>Step 5</strong>	 &nbsp;&nbsp;To complete upgrading your account online, you will need to sign the Release of Information (ROI) Form (10-5345a-MHV) online. You will be taken to a trusted VA site to sign this online form.  You can get a copy of your signed ROI form the next time you log into your My Health<em><strong>e</strong></em>Vet account.  After logging into your My Health<em><strong>e</strong></em>Vet account, go to <strong>Personal Information</strong>, and the <strong>Account</strong> tab to get the ROI.
</p>
<p>
<strong>Step 6</strong>  &nbsp;&nbsp;When your account has been upgraded to <a href="?_nfpb=true&_nfto=false&_pageLabel=spotlightArchive&contentPage=ipa/mhv_account_status-definitions.html#premium" target="_mhvHelp">Premium</a>, your status will change on your My Health<em><strong>e</strong></em>Vet <strong>Member Login</strong> box to Premium <a href="${pageContext.request.contextPath}/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#premiumaccount"  target="_mhvHelp"><img src="${pageContext.request.contextPath}/resources/images/account-type-premium.png" border=”0” alt="You have a Premium Account" title="You have a Premium Account"/></a>.
</p>

<div id=mhv-error-box>
<div id=mhv-error-message-critical>
<span class=mhv-error-message-header>
<input type="radio" name="upgradeOptionSelected" id="upgradeOptionSelected" value="upgrade" checked>Yes, I would like to Upgrade my Account to Premium<br>
<input type="radio" name="upgradeOptionSelected" id="upgradeOptionSelected" value="no">Not Interested at this Time <br>
</span>
</div>
&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" onClick="selectUpgradeOption();" class="mhv-input-button" value="Continue"><br><br>
</div>

        
