<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://www.bea.com/servers/p13n/tags/profilemanagement" prefix="profile"%>
<%@ page import="java.io.*, java.util.*"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.util.List"%>
<%@ page import="org.tigris.atlas.messages.Messages"%>
<style> 
  .mhv-e-local {
	font-style: italic;
	font-weight: bold;
  }

</style>

<%

    //508 compliance, error messages needs to be anchored so that user can skip to error messages.
   	List infoMessages = (List) request.getAttribute(Messages.REQ_ATTR_INFO_MSGS);
    List errorMessages = (List) request.getAttribute(Messages.REQ_ATTR_ERROR_MSGS);

    if (errorMessages == null || errorMessages.isEmpty()) { %>
<h2>Congratulations!</h2>

<% } 
{
 
	String contextPath = request.getContextPath();
    //infoMessages = (List) request.getAttribute(Messages.REQ_ATTR_INFO_MSGS);
    //errorMessages = (List) request.getAttribute(Messages.REQ_ATTR_ERROR_MSGS);
    
	if (infoMessages != null && !infoMessages.isEmpty() && (errorMessages == null || (errorMessages != null && errorMessages.isEmpty()))) {
        out.println("<div id=\"mhv-informational-box\">");
    	if( (infoMessages != null && !infoMessages.isEmpty()) || (errorMessages != null && !errorMessages.isEmpty())) {
    	 	out.println("<a name=\"ERROR_MESSAGES\"></a>");
    	}
        out.println("\t<img src=\""+contextPath+"/resources/images/icon_error-informational.gif\" alt=\"Alert\" title=\"Alert\" class=\"mhv-error-icon\"/>");
        for (Iterator i = infoMessages.iterator(); i.hasNext();) {
            String msg = (String) i.next();
            out.println("\t<div id=\"mhv-error-message-informational\">" + msg + "</div>");
        }
        out.println("</div>");
    }
    
    
    if (errorMessages != null && !errorMessages.isEmpty()) {
        out.println("<div id=\"mhv-error-box\">");
    	if( (infoMessages != null && !infoMessages.isEmpty()) || (errorMessages != null && !errorMessages.isEmpty())) {
    	 	out.println("<a name=\"ERROR_MESSAGES\"></a>");
    	}
        out.println("\t<img src=\""+contextPath+"/resources/images/icon_error-critical.gif\" alt=\"Alert\" title=\"Alert\" class=\"mhv-error-icon\"/>");
        out.println("\t<div id=\"mhv-error-message-critical\">");
        out.println("\t\t<span class=\"mhv-error-message-header\">Recheck Information</span>");
        out.println("\t\t<span class=\"mhv-error-text\">");
        out.println("\t\t\tMHV was unable to process this form");
        out.println("\t\t\t<ul>");
        for (Iterator i = errorMessages.iterator(); i.hasNext();) {
            String msg = (String) i.next();
            out.println("\t\t\t\t<li>" + msg + "</li>");
        }
        out.println("\t\t\t</ul>");
        
        //CCR#3911: show this only when user aacount is activated
        if (request.getAttribute("USER_ACCOUNT_DEACTIVATED") == null)
        {
        	out.println("\t\t\tPlease correct and resubmit.");
        }
        out.println("\t\t</span>");
        out.println("\t</div>");
        out.println("</div>");
    } 
}    
%>
<% if (errorMessages == null || errorMessages.isEmpty()) { %>
<p> To begin using your new account, <a href="?_nfpb=true&_nfto=false&_pageLabel=mhvHome">log in</a> with the User ID you created: [<strong><netui:span value="${pageFlow.userName}"/></strong>]</p>
<p>You have been assigned the <B></>My Health<span class="mhv-e-local">e</span>Vet ID:</B> <strong><netui:span value="${pageFlow.mhvId}"/></strong>.  You may need this My Health<span class="mhv-e-local">e</span>Vet ID when reporting issues to the help desk.</p>
<% } %>
