package gov.va.med.mhv.usermgmt.decorator;

import gov.va.med.mhv.usermgmt.enumeration.PasswordHintQuestionEnumeration;
import gov.va.med.mhv.usermgmt.form.UserProfileForm;

import org.displaytag.decorator.ColumnDecorator;
import org.displaytag.exception.DecoratorException;

public class PasswordHintQuestionDecorator implements ColumnDecorator
{


	/**
	 * Used with DisplayTag to map code to string
	 * @param value
	 * @return
	 * @throws DecoratorException
	 */
	public String decorate(Object value) throws DecoratorException {
    	return value == null ? "" : getDisplayValue(value);
	}


	/**
	 *
	 * @param value
	 * @return
	 */
	private String getDisplayValue(Object value){
		return UserProfileForm.getUserProfilePasswordHintQuestion1Name( (PasswordHintQuestionEnumeration)value );
	}


}
