package gov.va.med.mhv.usermgmt.util;

import java.util.Comparator;

public class ReverseBooleanComparator implements Comparator {

  /**
   * Compare two objects. This only handles those of type <code>Boolean</code>
   * @param o1
   * @param o2
   * @return
   * @throws ClassCastException if either object can not be cast to a Boolean.
   */
  public int compare(Object o1, Object o2) {
    // Do the comparison backwards. To reverse the sorting.
    return ((Boolean)o2).compareTo((Boolean)o1);
  }

}
