package gov.va.med.mhv.usermgmt.uup.ejb;

import java.rmi.RemoteException;

import com.bea.p13n.property.EntityPropertyManager;

/**
 * Manage user profile properties specific to MHV
 * 
 * @author sandrews
 *
 */
public interface UserPropertyManager extends EntityPropertyManager {

    public Object getProperty(String userName, String propertySet, String propertyName) throws RemoteException;

    public String getPropertyAsString(String userName, String propertySet, String propertyName) throws RemoteException;

    public void setProperty(String userName, String propertySet, String propertyName, Object value) throws RemoteException;

    public Object removeProperty(String customerName, String propertySet, String propertyName) throws RemoteException;

    public void createUserProfile(String userName) throws RemoteException;

    public void deleteUserProfile(String userName) throws RemoteException;

    public boolean userProfileExists(String userName) throws RemoteException;
}
