package gov.va.med.mhv.api.exception;

import gov.va.med.mhv.api.cache.CacheHandler;
import gov.va.med.mhv.api.enumeration.ErrorEnum;
import gov.va.med.mhv.api.transfer.ErrorTO;

import javax.ws.rs.core.Response;
import javax.ws.rs.ext.ExceptionMapper;

import org.apache.cxf.jaxrs.impl.ResponseBuilderImpl;

public class GeneralMapper implements ExceptionMapper<Exception> {
    public Response toResponse(Exception ex) {
    	ResponseBuilderImpl builder = new ResponseBuilderImpl();
    	ErrorTO error = new ErrorTO(ErrorEnum.UNKNOWN_99,ex.getMessage());
		CacheHandler.getInstance().setError(error);

		ex.printStackTrace(System.err);
		
		Response responseException = builder.status(400).entity(error).build();
		return responseException;
    }
}
