package gov.va.med.mhv.api.transfer;

import gov.va.med.mhv.usermgmt.enumeration.ExtractType;
import gov.va.med.mhv.usermgmt.transfer.Facility;

import java.io.Serializable;
import java.sql.Timestamp;

public class FacilityExtractStatusTO implements Serializable {

	private static final long serialVersionUID = -4397585415303258348L;

	private String			extractType;
	private Timestamp		lastUpdated;
	private Boolean			inProgress;
	private Timestamp		createdOn;
	private String			stationNumber;
	
	public FacilityExtractStatusTO() {
	}
	
	public FacilityExtractStatusTO(String extractType,
			Timestamp lastUpdated, Boolean inProgress, Timestamp createdOn, String stationNumber) {
		
		this.extractType = extractType;
		this.lastUpdated = lastUpdated;
		this.inProgress = inProgress;
		this.createdOn = createdOn;
		this.stationNumber = stationNumber;
	}
	public String getExtractType() {
		return extractType;
	}
	public void setExtractType(String extractType) {
		this.extractType = extractType;
	}
	public Timestamp getLastUpdated() {
		return lastUpdated;
	}
	public void setLastUpdated(Timestamp lastUpdated) {
		this.lastUpdated = lastUpdated;
	}
	public Boolean getInProgress() {
		return inProgress;
	}
	public void setInProgress(Boolean inProgress) {
		this.inProgress = inProgress;
	}
	public Timestamp getCreatedOn() {
		return createdOn;
	}
	public void setCreatedOn(Timestamp createdOn) {
		this.createdOn = createdOn;
	}

	public String getStationNumber() {
		return stationNumber;
	}

	public void setStationNumber(String stationNumber) {
		this.stationNumber = stationNumber;
	}

	
}
