package gov.va.med.mhv.api.transfer;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "Report")
public class GenerateReportTO implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -2942341811029596084L;
	
	String fromDate;
	String toDate;
	String[] dataClasses;
	
	public GenerateReportTO() {
	}
	public GenerateReportTO(String fromDate, String toDate,
			String[] dataClasses) {
		
		this.fromDate = fromDate;
		this.toDate = toDate;
		this.dataClasses = dataClasses;
	}
	public String getFromDate() {
		return fromDate;
	}
	public void setFromDate(String fromDate) {
		this.fromDate = fromDate;
	}
	public String getToDate() {
		return toDate;
	}
	public void setToDate(String toDate) {
		this.toDate = toDate;
	}
	public String[] getDataClasses() {
		return dataClasses;
	}
	public void setDataClasses(String[] dataClasses) {
		this.dataClasses = dataClasses;
	}
}
