package gov.va.med.mhv.api.transfer;

import java.io.Serializable;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "TrackingInfoDetails")
public class TrackingInfoDetailsTO implements Serializable {

	private static final long serialVersionUID = 3729072800506799498L;
	private String prescriptionName;
	private String prescriptionNumber;
	private String facilityName;
	private String rxInfoPhoneNumber;
	private String ndcNumber;
	private String lastUpdatedtime;
	private List<TrackingInfoTO> trackingInfo;
	
	
	public TrackingInfoDetailsTO () {
		
	}
	public TrackingInfoDetailsTO(String prescriptionName,
			String prescriptionNumber, String facilityName,
			String rxInfoPhoneNumber, List<TrackingInfoTO> trackingInfo) {
		super();
		this.prescriptionName = prescriptionName;
		this.prescriptionNumber = prescriptionNumber;
		this.facilityName = facilityName;
		this.rxInfoPhoneNumber = rxInfoPhoneNumber;
		this.trackingInfo = trackingInfo;
	}
	
	public String getPrescriptionName() {
		return prescriptionName;
	}
	public void setPrescriptionName(String prescriptionName) {
		this.prescriptionName = prescriptionName;
	}
	public String getPrescriptionNumber() {
		return prescriptionNumber;
	}
	public void setPrescriptionNumber(String prescriptionNumber) {
		this.prescriptionNumber = prescriptionNumber;
	}
	public String getFacilityName() {
		return facilityName;
	}
	public void setFacilityName(String facilityName) {
		this.facilityName = facilityName;
	}
	public String getRxInfoPhoneNumber() {
		return rxInfoPhoneNumber;
	}
	public void setRxInfoPhoneNumber(String rxInfoPhoneNumber) {
		this.rxInfoPhoneNumber = rxInfoPhoneNumber;
	}
	public List<TrackingInfoTO> getTrackingInfo() {
		return trackingInfo;
	}
	public void setTrackingInfo(List<TrackingInfoTO> trackingInfo) {
		this.trackingInfo = trackingInfo;
	}
	public String getNdcNumber() {
		return ndcNumber;
	}
	public void setNdcNumber(String ndcNumber) {
		this.ndcNumber = ndcNumber;
	}
	public String getLastUpdatedtime() {
		return lastUpdatedtime;
	}
	public void setLastUpdatedtime(String lastUpdatedtime) {
		this.lastUpdatedtime = lastUpdatedtime;
	}
	
	
}
