package gov.va.med.mhv.api.transfer;

import java.io.Serializable;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "TrackingInfo")
public class TrackingInfoTO implements Serializable{

	private static final long serialVersionUID = 301962054579816018L;

	private String shippedDate;
	private String deliveryService;
	private String trackingNumber;
	List<OtherPresListIncluded> otherPrescriptionListIncluded;
	
	public TrackingInfoTO () {
	}

	public TrackingInfoTO(String shippedDate, String deliveryService,
			String trackingNumber,
			List<OtherPresListIncluded> otherPrescriptionListIncluded) {
		super();
		this.shippedDate = shippedDate;
		this.deliveryService = deliveryService;
		this.trackingNumber = trackingNumber;
		this.otherPrescriptionListIncluded = otherPrescriptionListIncluded;
	}

	public String getShippedDate() {
		return shippedDate;
	}

	public void setShippedDate(String shippedDate) {
		this.shippedDate = shippedDate;
	}

	public String getDeliveryService() {
		return deliveryService;
	}

	public void setDeliveryService(String deliveryService) {
		this.deliveryService = deliveryService;
	}

	public String getTrackingNumber() {
		return trackingNumber;
	}

	public void setTrackingNumber(String trackingNumber) {
		this.trackingNumber = trackingNumber;
	}

	public List<OtherPresListIncluded> getOtherPrescriptionListIncluded() {
		return otherPrescriptionListIncluded;
	}

	public void setOtherPrescriptionListIncluded(
			List<OtherPresListIncluded> otherPrescriptionListIncluded) {
		this.otherPrescriptionListIncluded = otherPrescriptionListIncluded;
	}
	
}
