package gov.va.med.mhv.imaging.transfer;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "File")
public class FileTO implements Serializable {
	private static final long serialVersionUID = 6638785418482742865L;

	private String fileId;  //CVIX URI (Transformed)
	private String type; //Image, Report, Template
	private String path;

	public FileTO() {
	}

	public FileTO(String fileId, String type, String path) {
		this.fileId = fileId;
		this.type = type;
		this.path = path;
	}
	
	public String getFileId() {
		return fileId;
	}
	public void setFileId(String fileId) {
		this.fileId = fileId;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}
	
}
