package gov.va.med.mhv.imaging.transfer;

import java.io.Serializable;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "FilesTO")
public class FilesTO implements Serializable {
	private static final long serialVersionUID = -6042809465825869998L;
	
	private List<FileTO> fileList;
	private String zipFileName;
	
	public FilesTO() {
	}

	public FilesTO(List<FileTO> fileList) {
		this.fileList = fileList;
	}

	public List<FileTO> getFiles() {
		return fileList;
	}

	public void setFile(List<FileTO> fileList) {
		this.fileList = fileList;
	}

	public String getZipFileName() {
		return zipFileName;
	}

	public void setZipFileName(String fileName) {
		this.zipFileName = fileName;
	}

	
}
