package gov.va.med.mhv.imaging.transfer;
import java.text.SimpleDateFormat;
import java.util.Date;


public class ReportTO {
	private Date date;
	private boolean status;
	private transient String text;
	
	public ReportTO() {
	}

	public ReportTO(Date date, boolean status, String text) {
		this.date = date;
		this.status = status;
		this.text = text;
	}

	public void setDateAsDate(Date date) {
		this.date = date;
	}
	public String getDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		return sdf.format(date);
	}
	public boolean isStatus() {
		return status;
	}
	public void setStatus(boolean status) {
		this.status = status;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	
}
