package gov.va.med.mhv.eauth.bizobj;

import gov.va.med.mhv.eauth.messages.EauthMessages;
/**
 * Business object for the EAuthHash application entity
 *
 * Generated Skeleton Code
 */
 
public class EAuthHashBO extends EAuthHashBaseBO {
	
	protected void complexValidation() {
		validateHash();
		validateUniqueHash();
	}

	private void validateHash(){
		if(getHashValue() == null || getHashValue().length() ==0){
			addError(EauthMessages.NULL_HASH);
		}
	}
	
	private void validateUniqueHash(){
		if( !findEAuthHashByHashValue( getHashValue()).isEmpty()) {
			addError( EauthMessages.HASH_ALREADY_EXISTS );
		}
	}

}