<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@include file="include/printerFriendlyOpen.jspf"%>
<link href="/mhv-portal-web/ShowBinary/BEA%20Repository/css/homeStyles2.css" media="screen,print" type="text/css" rel="stylesheet" />
<link href="/mhv-portal-web/ShowBinary/BEA%20Repository/css/mainStyles.css" media="screen,print" type="text/css" rel="stylesheet" />
<style>
	.titleTab { background-repeat:repeat-x;}
	.greyTriangleBox {
		background:URL("/mhv-portal-web/ShowBinary/BEA%20Repository/images/bg_greyTriangleBox_ctr.jpg");
		background-repeat:repeat-x;
		background-color:#fff;
		padding:20px 5px 10px 5px;
		}
	.greyTriangleBox H4 {color:#0c2c59;margin-bottom:5px;}
	.greyTriangleBox UL {margin-top:0px;margin-bottom:5px;}
	.greyTriangleBox UL LI {font-size:12px;line-height:1.5em;}

	.yellowTriangleBox {
		background:URL("/mhv-portal-web/ShowBinary/BEA%20Repository/images/bg_yellowTriangleBox_ctr.jpg");
		background-repeat:repeat-x;
		background-color:#fff;
		padding:10px 5px 10px 5px;
		}
	.yellowTriangleBox H4 {color:#0c2c59;margin-bottom:5px;}
	.yellowTriangleBox UL {margin-top:0px;margin-bottom:5px;}
	.yellowTriangleBox UL LI {font-size:12px;line-height:1.5em;}
	BODY {font-family:Arial, Helvetica, sans-serif;font-size:12px;}
 	.greyupgrade {
	display:block;
	background-color: #CCCCCC;
	}

</style>

<!-- Begin Portlet Titlebar -->
<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
  <tr>
    <td class="mhv-portlet-title-td">Manual Authentication Instructions</td>
    <td class="mhv-username-date-td">&nbsp;</td>
  </tr>
</table>

<h2>Manual Authentication Instructions</h2>
<p>These instructions are to help you manually upgrade to a My Health<em><strong>e</strong></em>Vet <a href="https://www.myhealth.domain/mhv-portal-web/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#premiumaccount" target="_blank">Premium</a> Account</strong>. Before you <strong>Start to Upgrade your My Health<em>e</em>Vet Account Manually</strong>, please read and follow the steps below in the order they are listed.  This will aid you in accurately completing your form and help reduce any delay in the process.</p>

<p><strong>General Information:</strong></p>
<ul>
  <li>Currently Manual Authentication works if you are logged in using your DS Logon Premium Username and Password</li>
  <li>This is for Veterans enrolled at a VA health care facility</li>
  <li><strong>VA Release of Information Form </strong> <a href="http://www.domain/vaforms/medical/pdf/vha-10-5345a-MHV-fill.pdf"  target="_blank">10-5345a-MHV</a> gives VA your authorization for My Health<em><strong>e</strong></em>Vet to receive a copy of available VA health record</li>
  <li>The upgrade does not start until the VA facility receives your signed paper <strong>VA Release of Information Form</strong> (10-5345a-MHV) in the mail. It may take up to 20 business days to complete upgrading your account</li>
  <li>If you mailed your completed and signed <strong>VA Release of Information Form</strong> <a href="http://www.domain/vaforms/medical/pdf/vha-10-5345a-MHV-fill.pdf"  target="_blank">(10-5345a-MHV)</a> and your account status has not been upgraded after 20 business days, please contact the Release of Information office where you sent your completed form</li>
</ul>

<p><strong>What you will need before you begin:</strong></p>
<ul>
  <li><strong>Time</strong>: You will need about 20 minutes to complete the Manual process.  This includes completing, signing and mailing the form.</li>
  <li><strong>Tools</strong>: Select <strong>Printer Friendly</strong> to make a paper copy of these instructions.  Doing this will help you during each step of the process.   You will also need an envelope and stamp to mail the form into your VA facility.</li>
  <li><strong>Other</strong>: You need the address of your local VA facility. You can use the <a href="http://wwww.domain/directory/guide/home.asp?isflash=1" target="_blank">VA Facility Locator</a> to find the address</li>
</ul>

<p><strong>This is what to do:</strong></p>
<p style="padding-left: 22px;">1. To complete VA Release of Information Form 10-5345a-MHV manually and upgrade your My Health<em><strong>e</strong></em>Vet account to <strong>Premium</strong> follow these steps:</p>
<p style="padding-left: 44px;"><strong>Step 1:</strong></p>
<p style="padding-left: 44px;">You can download the form by selecting the <strong>VA Release of Information Form</strong> <a href="http://www.domain/vaforms/medical/pdf/vha-10-5345a-MHV-fill.pdf"  target="_blank">(10-5345a-MHV)</a>. There are two ways you can complete the form:</p>
<ul style="padding-left: 66px;">
  <li>Complete the form online, then download to your computer and print a copy</li>
  <li>Download the form to your computer first, then print a paper copy and complete the form</li>
</ul>
<p style="padding-left: 44px;"><strong>Step 2:</strong></p>
<ul style="padding-left: 66px;">
  <li>Sign and date the paper form</li>
</ul>
<p style="padding-left: 44px;"><strong>Step 3:</strong></p>
<ul style="padding-left: 66px;">
  <li>Mail your completed and signed paper form to the Release of Information Office at your local VA health care facility.  You can use the <a href="http://wwww.domain/directory/guide/division_flsh.asp?dnum=1" target="_blank">VA Facility Locator</a> to find the address.</li>
</ul>
<p style="padding-left: 22px;">2. The upgrade does not start until the VA facility receives your signed paper form in the mail. It may take up to 20 business days to complete the upgrading of your account.</p>
<p style="padding-left: 22px;">3. After you download your Release of Information Form, you can select the <strong>Continue</strong> button. This will take you to the My Health<em><strong>e</strong></em>Vet homepage, logged in.</p>

<p>After your account has been upgraded to <a href="https://www.myhealth.domain/mhv-portal-web/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#premiumaccount"  target="_blank">Premium</a>, your status will change on your My Health<em><strong>e</strong></em>Vet Member Logon box to Premium.</p>