<%@ page import="java.io.*, java.util.*"%>
<%@ taglib uri="netui-tags-html.tld" prefix="netui-compat"%>
<%@ taglib uri="netui-tags-template.tld" prefix="netui-compat-template"%>
<%@ taglib uri="netui-tags-databinding.tld" prefix="netui-compat-data"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/content" prefix="cm"%>
<%@ taglib uri="http://bea.com/struts/adapter/tags-nested" prefix="nested"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/ad" prefix="ad"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/personalization" prefix="pz"%>
<%@ taglib uri="http://www.bea.com/servers/p13n/tags/utility" prefix="utility"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>

<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>
<%@ include file="/gov/va/med/mhv/rxrefill/include/viewListTitle.jspf"%>

<p>

You may <b>Track Delivery</b> of your VA prescriptions filled by the <b>VA Mail Order Pharmacy</b> and mailed in the last 45 days. To learn more, visit <a href="/mhv-portal-web/ShowBinary/BEA Repository/pharmacy/trackDelivery.html" target="_blank"> Track Delivery</a>.
<br/>
<br/>
Select <a href="/mhv-portal-web/mhv.portal?_nfpb=true&_nfto=false&_pageLabel=profiles"> User Profile Preferences</a> to subscribe/unsubscribe to email notifications of prescriptions filled by a VA Mail Order Pharmacy.

<div class="mhv-printer-friendly-container">
    <a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=<netui:content value="${pageFlow.viewData.helpType}"/>_summary.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a> |
    <netui:anchor action="printerFriendlyListAction">
        Printer Friendly 
        <img src="<%=request.getContextPath()%>/resources/images/icons15/icoPrinterFriendly15.gif"
             height="15"
             width="15"
             border="0"
             alt="View Printer Friendly Version"/>
    </netui:anchor>
</div>

<netui:form action="submitRefillAction" tagId="refillForm" onSubmit="return disableSubmitButton()">

<netui-data:callPageFlow method="getViewDataPageNavigationBar" resultId="pageNavigationBar">
    <netui-data:methodParameter value="${pageContext}"/>
</netui-data:callPageFlow>
<netui:content value="${pageScope.pageNavigationBar}"/>


<table class="mhv-data-listing" summary="List of Prescription information.">
    <!-- table header row begins -->
    <tr>
        <netui-compat-data:repeater dataSource="{pageFlow.viewData.listHeaderRow.cells}">

        	<!-- every repeaterItem represents a cell  -->
        	<netui-compat-data:repeaterItem>
            <netui-compat-template:visible visibility="{container.item.hasAnchor}">
                <th scope="col" class="<netui-compat:content value="{container.item.styleClass}"/>" title="<netui-compat:content value="{container.item.title}"/>">
                <netui-compat:anchor action="resetViewListAction" formSubmit="true">
                    <netui-compat:parameter name="sortColumn" value="{container.item.anchorParameter}"/>
                    <netui-compat:content value="{container.item.content}"/>
                </netui-compat:anchor>
                </th>
            </netui-compat-template:visible>
            <netui-compat-template:visible negate="true" visibility="{container.item.hasAnchor}">
                <th scope="col">
                    <netui-compat:content value="{container.item.content}"/>
                </th>
            </netui-compat-template:visible>    
        	</netui-compat-data:repeaterItem>
        

        </netui-compat-data:repeater>
    </tr>
    <!-- table header row ends -->
    
    
    <!-- list rows begin -->
    <netui-compat-template:visible visibility="{pageFlow.viewData.emptyListTableRows}">
        <tr><td colspan="<netui-compat:content value="{pageFlow.viewData.listHeaderRow.columnCount}"/>">
            Nothing found to display.
        </td></tr>
        <tr><td colspan="<netui-compat:content value="{pageFlow.viewData.listHeaderRow.columnCount}"/>">
            <img height=1 width=1 alt=" " src="<%=request.getContextPath()%>/resources/resources/images/spacer.gif" >
        </td></tr>
    </netui-compat-template:visible>
    <netui-compat-template:visible negate="true" visibility="{pageFlow.viewData.emptyListTableRows}">
			<!--         every repeaterItem here represents a row  -->
        <netui-compat-data:repeater dataSource="{pageFlow.viewData.listTableRows}">
        <netui-compat-data:repeaterItem>                    
            <tr class="<netui-compat:content value="{container.item.rowStyle}"/>">
                <netui-compat-data:repeater dataSource="{container.item.cells}">
					<!--                 every repeaterItem here represents a cell  -->
                <netui-compat-data:repeaterItem>
                    
                    <netui-compat-template:visible negate="true" visibility="{container.item.hasAnchor}">
                    <td class="<netui-compat:content value="{container.item.styleClass}"/>">
                        <netui-compat-template:visible visibility="{container.item.hasImg}">
                            <netui-compat:image src="{container.item.imgSrc}" height="15" width="15" border="0" alt="{container.item.imgAlt}"/>
                        </netui-compat-template:visible>
                        <netui-compat-template:visible visibility="{container.item.hasCheckbox}">
                            <netui-compat:checkBox dataSource="{container.item.checkboxSelected}" alt="{container.item.checkboxAlt}"/><br>
                        </netui-compat-template:visible>
                        <netui-compat:content value="{container.item.content}"/>
                    </td>
                    </netui-compat-template:visible>
                    
                    <netui-compat-template:visible visibility="{container.item.hasAnchor}">
                    <netui-compat-template:visible negate="true" visibility="{container.item.hasRedButton}">                    
                    <td class="<netui-compat:content value="{container.item.styleClass}"/>" title="<netui-compat:content value="{container.item.title}"/>">
                        <netui-compat:anchor action="viewAction" formSubmit="true">
                            <netui-compat:parameter name="id" value="{container.item.anchorParameter}"/>
                            <netui-compat-template:visible visibility="{container.item.hasImg}">
                                <netui-compat:image src="{container.item.imgSrc}" height="15" width="15" border="0" alt="{container.item.imgAlt}"/>
                            </netui-compat-template:visible>
                            <netui-compat:content value="{container.item.content}"/>
                        </netui-compat:anchor>
                    </td>
                    </netui-compat-template:visible>
                    <netui-compat-template:visible visibility="{container.item.hasRedButton}">                    
                    <td class="<netui-compat:content value="{container.item.styleClass}"/>" title="<netui-compat:content value="{container.item.title}"/>">
                    	<netui-compat:button type="submit" value="Track Delivery" action="viewTrackingAction" styleClass="mhv-input-button" tagId="submitTrackDeliveryButton">
                            <netui-compat:parameter name="id" value="{container.item.anchorParameter}"/>
                            <netui-compat-template:visible visibility="{container.item.hasImg}">
                                <netui-compat:image src="{container.item.imgSrc}" height="15" width="15" border="0" alt="{container.item.imgAlt}"/>
                            </netui-compat-template:visible>
                            <netui-compat:content value="{container.item.content}"/>
                        </netui-compat:button>   
                    </td>
                    </netui-compat-template:visible>                    
                    </netui-compat-template:visible>
                
                </netui-compat-data:repeaterItem>
                </netui-compat-data:repeater>
            </tr>
        </netui-compat-data:repeaterItem>
        </netui-compat-data:repeater>
    </netui-compat-template:visible>
    
    <!-- list rows end -->
    
    
</table>

<netui:content value="${pageScope.pageNavigationBar}"/>

<netui-compat-template:visible visibility="{pageFlow.viewData.hasRefillable}">
    <table align="right">
    <tr>
        <!--- SUBMIT BUTTON --->
        <td>
            <netui-compat:button type="submit" value="Submit Refills" action="submitRefillAction" styleClass="mhv-input-button" tagId="submitRefillButton"/>
        </td>
        
        <!--- DONE BUTTON 
        <td>
        <//netui:button type="submit" value="Done" action="doneViewListAction" styleClass="mhv-input-button"/>
        </td>
        --->
    </tr>
    </table>
</netui-compat-template:visible>
<script language="JavaScript">
    <!--    
    function disableSubmitButton() 
    {   
        document.forms[getNetuiTagName("refillForm", this)][getNetuiTagName("submitRefillButton", this)].disabled=true;
    }
    -->  
</script>
<noscript>
    <p>Click the Submit button only once.  Your request will take a few moments to process.</p>
</noscript>

</netui:form>    
<hr/>

<!-- health tip -->
<netui-data:getData resultId="healthTipPagePath" value="${pageFlow.healthTipPagePath}"/>
<%
String healthTipPagePath = (String)pageContext.getAttribute("healthTipPagePath");
%>  
<cm:getNode id ="node" path = "<%=healthTipPagePath%>"/>              
<nested:notEmpty name="node">                    
    <ad:render id="node"/> 
</nested:notEmpty> 
<nested:empty name="node">
    Requested health tip file <b><%=healthTipPagePath%></b> could not be found.
</nested:empty>

<!-- for debugging -->
<%
//comment out when the web server is NOT "localhost"
if (!"localhost".equalsIgnoreCase(request.getServerName())) out.println("<!-- ");
%>
<div style="color:green;">
    last modified: <netui:content value="${pageFlow.lastModfiedDateTime}"/>
</div>
<%if (!"localhost".equalsIgnoreCase(request.getServerName())) out.println(" -->");%>