package gov.va.med.mhv.rxrefill.web.form;

import gov.va.med.mhv.rxrefill.form.RxTrackingBaseForm;
import gov.va.med.mhv.rxrefill.transfer.RxTracking;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionMapping;

/**
 * The PrescriptionForm class is responsible for handling user input.
 */
public class RxTrackingForm extends RxTrackingBaseForm {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3077292162175640775L;

	protected void doReset(ActionMapping mapping, HttpServletRequest request) {
	
	}
	
    public void copyFromEntity(RxTracking tracking) {
        copyFrom(tracking);
        setRxTrackingCarrier(tracking.getCarrier());
        setRxTrackingDivisionPhone(tracking.getDivisionPhone());
        setRxTrackingTrackingNumber(tracking.getTrackingNumber());
        setRxTrackingRxNumber(tracking.getRxNumber());
        //formatCompletedDateTime();
    }
}