<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>

<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf" %>

<div class="mhv-portlet-title">
	<h2>Emergency Contact Information</h2>
</div>

<div class="mhv-printer-friendly-container">
  <a href="${pageContext.request.contextPath}/resources/jsp/help.jsp?helpDirectRequest=emergency-cont_summary.html" 
  target="_mhvHelp">Help 
  <img src="${pageContext.request.contextPath}/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
</div>

<display:table sort="list" defaultsort="1" pagesize="10" requestURI="/handleDisplayTagAction.do" id="row" name="sessionScope.EmergencyContact" decorator="gov.va.med.mhv.usermgmt.decorator.EmergencyContactTableDecorator">
    <display:column property="primaryIndicatorAndName" title="Contact Name" sortable="false" />
    <display:column property="preferredContactMethod" title="Preferred Contact Method" sortable="false"/>
    <display:column property="preferredContactNumber" title="Contact Number" sortable="false"/>
    <display:column title="Edit" href="editEmergencyContact.do" paramId="id" paramProperty="id" class="mhv-list-cell-center"><img src="${pageContext.request.contextPath}/resources/images/icons15/icoEdit15.gif" height="15" width="15" border="0" alt="Edit This Item"/></display:column>
    <display:column title="Delete" href="deleteEmergencyContact.do" paramId="id" paramProperty="id" class="mhv-list-cell-center"><img src="${pageContext.request.contextPath}/resources/images/icons15/icoDelete15.gif" height="15" width="15" border="0" alt="Delete This Item"/></display:column>
    <display:setProperty name="paging.banner.item_name" value="emergency contact" />
    <display:setProperty name="paging.banner.items_name" value="emergency contacts" />
	<display:setProperty name="custom.sort.class" value="${pageFlow.tableSorter}" />
</display:table>

<br/>
<div class="mhv-button-container-align-right">
	<netui:anchor action="addEmergencyContact" formSubmit="true" styleClass="mhv-input-button">Add New Emergency Contact</netui:anchor>
</div>

<p><span class="mhv-required"><img src="${pageContext.request.contextPath}/resources/images/ec-primary-indicator.gif" height="15" width="15" border="0" alt="Primary contact indicator"/></span> Indicates primary contact</p>

