<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@page import="gov.va.med.mhv.usermgmt.transfer.Activity, gov.va.med.mhv.usermgmt.enumeration.ActivityTypeEnumeration" %>

<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>

<%@include file="include/printerFriendlyOpen.jspf"%>

<!-- Begin Portlet Titlebar -->
<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
  <tr>
    <td class="mhv-portlet-title-td">Account Activity History</td>
    <td class="mhv-username-date-td">&nbsp;</td>
  </tr>
</table>

<h2>Account Activity Summary for 
	<netui:span value="${pageFlow.currentUserProfile.fullName}"></netui:span></h2>

<display:table id="${pageflow.tableUID}" 
	               uid="${pageflow.tableUID}" 
	               name="${pageFlow.currentActivities}"
	               decorator="gov.va.med.mhv.usermgmt.portlet.aal.decorator.ActivityDecoratorPF">
	    <display:column title="Date/Time" property="completionTime" format="{0,date,M/d/yyyy h:mm a zzz}" sortable="false" comparator="gov.va.med.mhv.usermgmt.portlet.aal.decorator.ActivityDecorator"/>
	    <display:column property="performerType" title="Performed By" sortable="false"/>
	    <display:column property="actionType" title="Activity" sortable="false" />
	    <display:column property="action" title="Action" sortable="false"/>
		<display:column property="status" title="Result" sortable="false" />
	</display:table>
	
<%@include file="include/printerFriendlyClose.jspf"%>