<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<style> 
  div.container {
    border-color: #F5F4EB;
    border: groove threedface;
    border-width: 2px;
    margin-top: 17px;
    margin-left: 2px;
    margin-right: 2px;
    display: block;
    padding: 0 0.25em;
  }
 
  div.legend {
    background: #fff;
    display: inline;
    width: auto;
    position: relative;
    top: -0.6em;
    left: 0.4em;
    padding: 0 0.1em;
  }
</style>

<script type="text/javascript">
	window.onload = function() { 
		document.getElementById('pdf-placeholder').style.visibility = 'hidden';
		document.getElementById('pdf-placeholder').style.height ='0px';
		document.getElementById('pdf-inline').style.visibility = 'visible'; 
	};
</script>

<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/framework/skins/default/css/custom-mhv-print-friendly.css" media="print">

	<body>
		<netui:form  tagId="printForm" action="cancel">
			<netui:anchor action="cancel" value="Done" styleClass="mhv-input-button" />
		</netui:form>
		
		<div class="container" id="pdfRenderer">
			<object id="pdf-inline" data="${pageContext.request.contextPath}/downloadVapii?username=${requestScope.username}&&format=inline" width="100%" height="800px">Loading PDF ...</object>
			<div id="pdf-placeholder" style="width: 100%; height: 70px;">
			   <div id="mhv-informational-box">
				    <img src="${pageContext.request.contextPath}/resources/images/icon_error-informational.gif" alt="Alert" title="Alert" class="mhv-error-icon"/>
					<div id="mhv-phr-update-message-informational">
						<span style="font-weight: bold">
						<br/>
						Your information is currently being loaded... please wait.
						</span>
						<br/>
					</div>
				</div>
			</div>
		</div>
	</body>

