<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>

    	<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf" %>
        <div class="mhv-portlet-title">
          <h2>Change Password</h2>
        </div>
    	<div class="mhv-printer-friendly-container">
		  <a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=help_change-password.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		</div>
        <p><span class="mhv-required">*</span> Indicates Required Information</p>
        <netui:form action="changePassword">
        <div class="mhv-form-help-container">
        	<span>Your password must:</span>
                <ul>
                    <li>be 8 to 12 characters in length</li>
                    <li>have at least one letter and one number</li>
                    <li>have at least one special character (e.g., !, #, %)</li>
                    <li>have no spaces</li>
                    <li>be case sensitive</li>
                    <li>not be the same as the User ID</li>
                     <li>not be the same as your most recent three passwords</li>
               </ul>
        </div>
        
        <table width="100%" border="0" cellpadding="1" cellspacing="1" summary="">
            <tr>
                <td width="66%" valign="top">
                 <hr />
                 <h3>CHANGE PASSWORD</h3>
                 <table border="0" cellpadding="1" cellspacing="1" summary="">
                 <tr>
                   <td>
                   		<div align="left"><label for="currentPassword">Current Password:<span class="mhv-required">*</span></label></div>
                   		 <div align="left"> <netui:textBox dataSource="actionForm.currentPassword" password="true" tagId="currentPassword"/></div>
                   		
                  </td>
                 </tr>
                 <tr>
                   <td>
                   		<div align="left"><label for="newPassword">New Password:<span class="mhv-required">*</span></label></div>
                  		 <div align="left"> <netui:textBox dataSource="actionForm.newPassword" password="true" tagId="newPassword"/></div>
                  		
                   </td>
                 </tr>
                 <tr>
                   <td>
                   		<div align="left"><label for="confirmNewPassword">Confirm New Password:<span class="mhv-required">*</span></label></div>
                  		<div align="left"> <netui:textBox dataSource="actionForm.confirmNewPassword" password="true" tagId="confirmNewPassword"/></div>
                  		
                  </td>
                 </tr>
                 </table>
                 <hr />
					<br />
					<div class="mhv-button-container-align-right">
						<netui:button value="Update" type="submit" styleClass="mhv-input-button"/>
        			</div>
                </td>
                
        </table>
        </netui:form>
