<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean"%>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@taglib uri="http://www.bea.com/workshop/netui-tags-html-1.0" prefix="netui-compat"%>

<!-- Begin Portlet Titlebar -->
<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
	<tr>
		<td class="mhv-portlet-title-td">Manage VA Staff</td>
		<td class="mhv-username-date-td">&nbsp;</td>
	</tr>
</table>

<!--Begin 7.0 Toolbar -->
<div class="mhv-portlet-toolbar">
	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=mur_search.html" target="_mhvHelp" tabindex="1">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
</div>

<!-- Begin Messages -->
<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>

<!--Begin Portlet Heading -->
<h2>Search VA Staff</h2>

<!--Begin Instructional Content -->
<p>Enter the name <b>or</b> VA Network ID to find a specific VA staff member. If searching by name, providing more information will result in a shorter list of possible matches.</p>

<!-- Begin Search Form -->
<netui:form action="searchForEmployee">	
	<table border="0" cellpadding="2" cellspacing="0" class="" summary="Search MHV Users">
		<tr>
			<th scope="row"><label for="firstName">First Name: </label></th>
			<td><netui:textBox dataSource="actionForm.firstName" tagId="firstName" tabindex="2"/></td>
			<th scope="row">&nbsp;<label for="VAnetworkID">VA Network ID: </label></th>
			<td><netui:textBox dataSource="actionForm.userName" tagId="VAnetworkID" tabindex="4"/></td>
		</tr>
		<tr>
			<th scope="row"><label for="lastName">Last Name: </label></th>
			<td><netui:textBox dataSource="actionForm.lastName" tagId="lastName" tabindex="3"/></td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
		</tr>
	</table>

	<!-- Begin Form Buttons -->
	<div class="mhv-button-container-align-right">
		<netui:anchor action="viewCurrentRoleAssignments" tabindex="5">View All Current Roles</netui:anchor>&nbsp;&nbsp;&nbsp;
		<netui:button value="Search" type="submit" styleClass="mhv-input-button" tabindex="6"/>
	</div>
</netui:form> 

