<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<link href="/mhv-portal-web/ShowBinary/BEA%20Repository/global/mhv_styles_80.css" rel="stylesheet" type="text/css" />

        <div class="mhv-portlet-title">
          <h2>Forgot Password</h2>
        </div>

        <%@include file="defaultForgotPasswordNotificationTemplate.jspf"%>
        <p><span class="mhv-required">*</span> Indicates Required Information</p>
        <netui:form action="getPasswordHints">

        <table class="bea-portal-layout" width="100%" border="0" cellpadding="1" cellspacing="1" summary="">
            <tr>
                <td width="66%" valign="top">
                <hr />
                <h3>Step 1. Personal Information</h3>
                <p>For security purposes, in order to reset your password you must supply the required Personal Information below.  In Step 2 you will be asked to correctly answer one Password Hint question that you provided during the registration process.  Upon successful completion of Steps 1 and 2, you will be able to reset password.</p>
                <table border="0" cellpadding="1" cellspacing="1">
                 <tr>
                 	<td>
		                <table border="0" cellpadding="1" cellspacing="1">
	                        <tr>
	                            <td>
	                            	<div align="left"><label for="userName">User ID:<span class="mhv-required">*</span></label></div>
	                            	<div align="left"><netui:textBox dataSource="actionForm.userName" tagId="userName" /></div>
	                            </td>
	                        </tr>
	                        <tr>
	                            <td>
	                            	<div align="left"><label for="firstName">First Name:<span class="mhv-required">*</span></label></div>
	                            	<div align="left"><netui:textBox dataSource="actionForm.userProfileFirstName" tagId="firstName"/></div>
	                            </td>
	                        </tr>
	                        <tr>
	                            <td>
	                            	<div align="left"><label for="lastName">Last Name:<span class="mhv-required">*</span></label></div>
	                            	<div align="left"><netui:textBox dataSource="actionForm.userProfileLastName" tagId="lastName"/></div>
	                            </td>
	                        </tr>
	                        <tr>
	                            <td colspan="2">
	                            <fieldset>	
	                            <legend><div align="left">Birth Date:<span class="mhv-required">*</span></div></legend>
	                                <div align="left"><span><label for="monthSelect" class="mhv-hidden-label">Select Birth Month</label><netui:select nullable="true" nullableOptionText="Month" tagId="monthSelect" dataSource="actionForm.userProfileBirthDateMonth" optionsDataSource="${pageFlow.monthOptions}"/><label for="daySelect" class="mhv-hidden-label">Select Birth Day</label><netui:select nullable="true" nullableOptionText="Day" tagId="daySelect" dataSource="actionForm.userProfileBirthDateDay" optionsDataSource="${pageFlow.dayOptions}"/><label for="yearSelect" class="mhv-hidden-label">Select Birth Year</label><netui:select nullable="true" nullableOptionText="Year" tagId="yearSelect" dataSource="actionForm.userProfileBirthDateYear" optionsDataSource="${pageFlow.yearOptions}"/></span></div>
	                            </fieldset>
	                            </td>
	                        </tr>
	                        <tr>
	                            <td>
	                            	<div align="left"><label for="gender">Gender:<span class="mhv-required">*</span></label></div> 
	                            	<div align="left"><netui:select dataSource="actionForm.userProfileGender" tagId="gender" optionsDataSource="${pageFlow.genderOptions}" nullableOptionText="Gender" /></td></div>
	                        	</td>
	                        </tr>
        				</table>         	
                 	</td>
                 	<td>
                 	&nbsp;
                 	<%-- 
		                <table border="0" cellpadding="1" cellspacing="1" align="left">
				             <tr>
				                 <td>
				                    	<div align="left"><label for="zipCode">Zip Code:</label></div>
				                 </td>
				                 <td>   	
				                        <div align="left"><netui:textBox dataSource="actionForm.userProfileAddressPostalCode" tagId="zipCode" /></div>
				                 </td>
				              </tr>
				              <tr>
				                  <td>
				                      	<div align="left"><label for="phoneNumber">Phone Number:</label></div>
				                  </td>
				                  <td>    	
				                        <div align="left"><netui:textBox dataSource="actionForm.userProfileContactInfoHomePhone" tagId="phoneNumber"/></div>
				                  </td>
				               </tr>
				               <tr>
				                  <td>
				                      	<div align="left"><label for="emailAddress">Email Address:</label></div>
				                  </td>
				                  <td>    	
				                        <div align="left"><netui:textBox dataSource="actionForm.userProfileContactInfoEmail" tagId="emailAddress"/></div>
				                  </td>
				                </tr>
	    		          </table>
                 	--%>
                 	</td>
                 </tr>       
               </table>
										<br />
										<hr />
                </td>
                <td width="34%">
					&nbsp;
                </td>
                </tr>
                <tr>
                	<td valign="top">
	                	<div class="mhv-button-container-align-right">
											<netui:button value="Next Step" type="submit" styleClass="mhv-input-button"/>
										</div>
									</td>
                  <td>&nbsp;</td>
            	</tr>
        </table>

        </netui:form>



