﻿<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>

		<!-- Begin Portlet Titlebar -->
		<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
		  <tr>
		    <td class="mhv-portlet-title-td">Manage MHV Users</td>
		    <td class="mhv-username-date-td">&nbsp;</td>
		  </tr>
		</table>
		
		<!--Begin 7.0 Toolbar -->
		<div class="mhv-portlet-toolbar">
			<netui:anchor action="printerFriendlyView">
		    	Printer Friendly <img src="<%=request.getContextPath()%>/resources/images/icons15/icoPrinterFriendly15.gif" height="15" width="15" alt="View Printer Friendly Version" border="0" />
		    </netui:anchor>
		    |
			<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=ipa_verification.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		</div>
		
		<!-- Begin Messages -->
		<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>
		
		<!-- Begin Portlet Heading -->
		<h2>Verify Authentication of Multiple MHV Users</h2>
		
		<!--Begin Instructional Content -->
		<p>Are you sure you would like to approve the following MHV Users for authentication? By doing so you affirm that all prerequisites have been completed and the sensitive record review has been conducted for each person listed below. To confirm and complete the authentication, click the “Continue Authentication” button below.</p>
		
		<display:table sort="list"
		               defaultsort="1"
		               id="row"
		               uid="row"
		               name="sessionScope._usersToAuthenticate"
		               decorator="gov.va.med.mhv.usermgmt.decorator.IPASearchResultsDecorator">
	
			<display:column property="name" sortable="false" title="Name"/>
			<display:column property="ssn" sortable="false" title="SSN"/>
			<display:column property="dateOfBirth" sortable="false" title="DOB"/>
			<!-- MHV00001194 Take out MHV User ID:-->
			<display:column property="authenticationStatus" sortable="false" title="Auth. Status"/>
			<display:column property="authenticatingFacilityInfoName" sortable="false" title="Auth. Facility"/>
		</display:table>
		
		<!-- Begin Form Buttons-->
		<div class="mhv-button-container-align-right">
		    <netui:anchor action="doManyAuthentication" value="Continue Authentication" styleClass="mhv-input-button" />
		    <netui:anchor action="cancel" value="Cancel" styleClass="mhv-input-button" />
		</div>