<%@page import="gov.va.med.mhv.usermgmt.transfer.PatientInformation, gov.va.med.mhv.usermgmt.enumeration.AuthenticationStatus, gov.va.med.mhv.usermgmt.enumeration.PatientCorrelationStatus" %>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
		<% boolean canAuthenticate=false; %>
		<!-- Begin Portlet Titlebar -->
		<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
		  <tr>
		    <td class="mhv-portlet-title-td">Manage MHV Users (Advanced and Premium Accounts)</td>
		    <td class="mhv-username-date-td">&nbsp;</td>
		  </tr>
		</table>
		
		<!--Begin 7.0 Toolbar -->
		<div class="mhv-portlet-toolbar">
		    <netui:anchor action="printerFriendlyView">
		    	Printer Friendly <img src="<%=request.getContextPath()%>/resources/images/icons15/icoPrinterFriendly15.gif" height="15" width="15" alt="View Printer Friendly Version" border="0" />
		    </netui:anchor>
		    |
			<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=ipa_search-results.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
		</div>
		
		<!-- Begin Messages -->
		<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>
		
		<!-- Begin Portlet Heading -->
		<h2>Search MHV Users - Search Results</h2>
		
		<!--Begin Instructional Content -->
		<p>
			The following MHV Users match your search criteria. Click a user's name to view details or to initiate, modify, complete or remove authentication. To authenticate more than one user at a time, check the checkboxes in the "Select" column for desired users, then click "Authenticate Users".
		</p>
		<!-- MHV_CodeCR1386 - Added gender to display -->
		<netui:form action="authenticateMany">
		<display:table sort="list"
		               defaultsort="1"
		               pagesize="${pageFlow.pageSize}"
		               requestURI="/handleDisplayTagAction.do"
		               id="row"
		               uid="row"
		               name="sessionScope._ipaSearchResults"
		               decorator="gov.va.med.mhv.usermgmt.decorator.IPASearchResultsDecorator">
	
			<display:column property="name" sortable="true" href="performAuthentication.do" paramId="patientId" paramProperty="patientId" title="Name"/>
			<display:column property="gender" sortable="true" title="M/F"/>
			<display:column property="lastFourSsn" sortable="true" title="SSN"/>
			<display:column property="dateOfBirth" sortable="true" title="YOB"/>
			<!--  MHV_CodeCR1514 - US12.4 MVI Compliance Implementation - Adding correlation status column -->
			<display:column property="correlationStatus" sortable="true" title="Correlation Status"/>
			<display:column property="authenticationStatus" sortable="true" title="Auth. Status"/>
			<display:column property="authenticatingFacilityInfoName" sortable="true" title="Auth. Facility"/>
			<netui:checkBoxGroup dataSource="pageFlow.authenticateManyItems">
			<display:column title="Select">
				<% 
					PatientInformation info = (PatientInformation) pageContext.getAttribute("row");
				%>
				<% if (info.getAuthenticationStatus() != null && info.getAuthenticationStatus().getName().equals(AuthenticationStatus.PREREQUISITESCOMPLETE)&&
						info.getCorrelationStatus() == PatientCorrelationStatus.getEnum(PatientCorrelationStatus.CORRELATED).getValue()) { %>
					<netui:label for="<%=info.getPatientId().toString()%>" value="" title="Select this user for authentication" />
					<netui:checkBoxOption tagId="<%=info.getPatientId().toString()%>" value="<%=info.getPatientId()%>">&nbsp;</netui:checkBoxOption>
				<%  canAuthenticate=true;
					} else { %>
					&nbsp;
				<% } %>
			</display:column>
			</netui:checkBoxGroup>
		</display:table>
   
    	<div class="mhv-button-container-align-right">
			<netui:anchor action="refresh" styleClass="mhv-input-button">Refresh</netui:anchor>
			<netui:anchor action="newSearch" styleClass="mhv-input-button">New Search</netui:anchor>
			<%  if(canAuthenticate){%>
			<netui:anchor formSubmit="true" styleClass="mhv-input-button">Authenticate Users</netui:anchor>
			<% } %>
		</div>
    	</netui:form>