<%@ page import="java.io.*, java.util.*"%>
<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://www.bea.com/servers/p13n/tags/profilemanagement" prefix="profile"%>
<%@ include file="/resources/jsp/modal.jspf"%>
<%
	String account_status="";
	account_status = (String)request.getAttribute("account_status");
	
    //JAZZ # 143252 - Federated Credential - display Register message if the user uses MHV Login
	Object o = session.getAttribute("login");
	boolean mhvLogin = false;
	if(o != null && o.toString().equals("mhv")) {
		mhvLogin = true;
	}
	if(mhvLogin) {
		session.removeAttribute("login");
%>
<script>
register()
</script>
<%}%>

<netui:scriptContainer>
	<a id="skip_navigationLogout" name="Logout"></a>
	<table cellspacing="0" >
	     <tr>
	        <td>
	        <h2>Welcome ${pageFlow.fullName}
	  	</h2>	
	        </td>
	     </tr>
	     <tr>
	        <td>
	  		<strong> You have    
	        <% if (account_status == "Premium" ) {
				%>
	           a <a href="${pageContext.request.contextPath}/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#premiumaccount"  target="_blank">Premium Account <img src="${pageContext.request.contextPath}/resources/images/account-premium.png"  border=”0” height="31" width="23"
							         alt="You have a Premium Account" title="You have a Premium Account"/></a>
				<% } 
					else if (account_status == "Advanced" ) {
				%>
	           an <a href="${pageContext.request.contextPath}/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#advancedaccount"  target="_blank">Advanced Account <img src="${pageContext.request.contextPath}/resources/images/account-advanced.png" height="31" width="23"  border=”0”
							         alt="You have an Advanced Account" title="You have an Advanced Account"/></a>
				<% }
					else if (account_status == "Basic" ) {
				%>
	           a <a href="${pageContext.request.contextPath}/ShowBinary/BEA%20Repository/Registration/mhv_account_status.html#basicaccount"  target="_blank">Basic Account <img src="${pageContext.request.contextPath}/resources/images/account-basic.png" height="31" width="23"  border=”0”
							         alt="You have a Basic Account" title="You have a Basic Account"/></a>
				<% } %>
	        	</strong>
		</td>
	     </tr>
	     <c:if test="${pageFlow.lastLoginDate ne 'Now'}">
		     <tr>
		        <td> 
		   <strong>${pageFlow.lastLoginLabel}      <br/>
			 ${pageFlow.lastLoginDate}</strong>
			</td>
		     </tr>
	     </c:if>
	</table>
        <br />
        <div align="right">
		<% 
			Object hasERarAccess = session.getAttribute("hasERarAccess");
			//Jazz #110486 RemoteID Proofing - User Starts on the MHV Home Page - Go to the landing page for login with different accounts
			if ((account_status == "Advanced") && (hasERarAccess != null && hasERarAccess.toString().equalsIgnoreCase("true"))) {
		%>
        <a href="?_nfpb=true&_nfto=false&_pageLabel=loginWithDiffAccount" style="background-color: #930303;
			border-top: 1px solid #FFFFFF;
			border-right: 1px solid #333333;
			border-bottom: 1px solid #333333;
			border-left: 1px solid #FFFFFF;
			color: #FFFFFF;
			cursor: hand;
			font-size: 1.0em;
			font-weight: normal;
			margin: 5px 0px;
			padding: 2px 12px;
			text-align: center;
			text-decoration:none;
			white-space: normal;
			display: inline-block; 
			min-width: 120px; 
			max-width: 120px; 
			vertical-align: middle;">Upgrade to Premium Account</a><br/><br/>
		<% 
			}
		%>
        	<netui:anchor action="logout"  styleClass="mhv-input-button">Logout</netui:anchor></div>
        
      

        <%--<hr />
        <div>Need to update your password or change password hints?</div><br />
        <br />
        <!--THIS SHOULD GO TO THE PERSONAL INFORMATION/ACCOUNT SCREEN -- ?_nfpb=true&_pageLabel=account -->
        <div class="mhv-button-container-align-right"><netui:anchor action="" styleClass="mhv-input-button">Edit Account Details</netui:anchor></div>--%>
</netui:scriptContainer> 