<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<netui:html>
    <head>
        <netui:base/>
    </head>
    <netui:body>
		<div id="new-3articleContainer" class="contentCell">
		<table cellpadding="0" cellspacing="10" border="0">
			<tr><td valign="top" align="left">
			<!-- BEGIN ARTICLE #1 -->
		<p>You are registered on My HealtheVet as a ${pageFlow.selectedUserProfileVaRelationship}.  Your My HealtheVet account type is ${pageFlow.selectedUserProfileAccountStatus}, created _ ${pageFlow.selectedUserProfileCreatedDate}.</p>
		<p style="padding-left: 22px;">Your previous successful login was: date/time [military time]</p>
		<p style="padding-left: 22px;">Email address on file in your Profile: ${pageFlow.selectedProfile.contactInfoEmail}</p>
		<p style="padding-left: 22px;">For more information about the different account types and what each offers, visit My HealtheVet Account Types.</p>
		
		<c:if test="${pageFlow.displayDownloadERARButton}">
			<a href="<%=request.getContextPath()+"/downloadVapii?username=" %><netui:content value="${pageFlow.patientSummary.userName}" />" class="mhv-input-button">Download eRAR pdf</a>		
			<p>If you upgraded your account online, select the buttons below to view, print, and/or download your signed release of information (ROI) 10-5345a-MHV form (in pdf format).</p>
			<p><strong>Please be aware:</strong>Anytime you open/download a PDF file you create a temporary file on the computer you are using. Your information can be visible to other users of this computer.</p>
			<p>Protect your information and your identity. Send your information to a safe site or device that you or someone you trust controls. Remember, once you have downloaded your information from My HealtheVet, it is your responsibility to keep it safe and private. Learn more about <a href="#">protecting your personal health information.</a></p>
			<a href="<%=request.getContextPath()+"/downloadVapii?username=" %><netui:content value="${pageFlow.patientSummary.userName}" />" class="mhv-input-button">Download eRAR pdf</a>&nbsp;&nbsp;<netui:anchor action="cancel" value="Done" styleClass="mhv-input-button" /><br/><br/>
		</c:if>
        
    </netui:body>
</netui:html>