<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>

<!-- Begin Portlet Titlebar -->
<table border="0" cellpadding="0" cellspacing="0" class="bea-portal-layout">
  <tr>
    <td class="mhv-portlet-title-td">Account Activity History</td>
    <td class="mhv-username-date-td">&nbsp;</td>
  </tr>
</table>

<!--Begin 7.0 Toolbar -->
<div class="mhv-portlet-toolbar">
    <netui:anchor action="printerFriendlyDetailView">
    	Printer Friendly <img src="<%=request.getContextPath()%>/resources/images/icons15/icoPrinterFriendly15.gif" height="15" width="15" alt="View Printer Friendly Version" border="0" />
    </netui:anchor>
    |
	<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=AAL_detail.html" target="_mhvHelp">Help <img src="<%=request.getContextPath()%>/resources/images/icon_help.gif" alt="View Help File" border="0" /></a>
</div>

<!-- Begin Messages -->
<%@ include file="/resources/jsp/defaultNotificationTemplate.jspf"%>

<h2>Account Activity Summary for 
	<netui:span value="${pageFlow.currentUserProfile.fullName}"></netui:span></h2>

<!-- end data exchange facilitation  -->
<table border="0" cellpadding="0" cellspacing="0" class="mhv-detail-listing" summary="Account Activity History">
	<tr>
        <th scope="row">Date/Time:</th>
        <td>${pageFlow.currentActivity.completionTime }&nbsp;<a href="<%=request.getContextPath()%>/resources/jsp/help.jsp?helpDirectRequest=AAL_detail.html" target="_mhvHelp">CST</a></td>
    </tr>
	
	<tr>
        <th scope="row">Performed By:</th>
        <td>${pageFlow.currentActivity.performedByType}</td>
    </tr>

	<tr>
        <th scope="row">Activity:</th>
        <td>${pageFlow.currentActivity.activityType}</td>
    </tr>

	<tr>
        <th scope="row">Activity Details:</th>
        <td>${pageFlow.currentActivity.activityDetails}</td>
    </tr>

	<tr>
        <th scope="row">Action:</th>
        <td>${pageFlow.currentActivity.action}</td>
    </tr>

	<tr>
        <th scope="row">Result:</th>
        <td>${pageFlow.currentActivity.status}</td>
    </tr> 

	</table>

<!-- Begin Form Buttons-->
<div class="mhv-button-container-align-right">
			<netui:anchor action="backToSummary" styleClass="mhv-input-button">Return to Summary</netui:anchor>
</div>

