<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
	<%@ include file="/resources/jsp/ipaNotificationTemplate.jspf"%>
    <table>
		<tr>
			<td>
				<h2>View Details/Generate New Password </h2>
				<br />
				
				<netui:form action="setupVerifyAccountInfo">
					<%@ include file="userInfo.jspf" %>
	
					<br />
				</netui:form>
				<table width="850">
					<tr>
						<td>
							<netui:form action="setupVerifyAccountInfo">
								<c:if test="${pageFlow.displayGeneratePasswordButton}">
									<netui:button action="setupVerifyAccountInfo" type="submit" styleClass="mhv-input-button" value="Generate Password"/>
								</c:if>
								<c:if test="${pageFlow.displayUncorrelateButton}">
									<netui:button action="syncUncorrelate" type="submit" styleClass="mhv-input-button" value="Uncorrelate"/>
								</c:if>
								<c:if test="${pageFlow.displayDeactivateButton}">
									<netui:button action="verifyUserProfileDeactivate" type="submit" styleClass="mhv-input-button" value="Deactivate"/>
								</c:if>
								<c:if test="${pageFlow.displayReactivateButton}">
									<netui:button action="verifyUserProfileReactivate" type="submit" styleClass="mhv-input-button" value="Reactivate"/>
								</c:if>
								<netui:button action="begin" type="submit" styleClass="mhv-input-button" value="Done"/>
								<c:if test="${pageFlow.displayRemoveCorrelationInMVIButton}">
									<netui:button action="removeCorrelationInMVI" type="submit" styleClass="mhv-input-button" value="Remove Correlation In MVI"/>
								</c:if>
								<netui:button action="displayActivity" type="submit" styleClass="mhv-input-button" value="Display Activity"/>
								<c:if test="${pageFlow.displayProfileUpdateButton}">
									<netui:button action="profileUpdate" type="submit" styleClass="mhv-input-button" value="Profile Update"/>
								</c:if>
							</netui:form>
						</td>
					</tr>
				</table>
				<div  width="850" align="right">
					<c:if test="${pageFlow.displayForceDeactivateButton}">
						<netui:form action="verifyUserProfileForceDeactivate">
							<input type="image" alt="Emergency Only Force Deactivation" src="<%=request.getContextPath()%>/resources/images/force-deactivation.jpg"/>
						</netui:form>
					</c:if>
				</div>
			</td>
		</tr>

	</table>