<%@taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/ad" prefix="ad"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/personalization" prefix="pz"%>
<%@ taglib uri="http://www.bea.com/servers/p13n/tags/utility" prefix="utility"%>
<%@ taglib uri="http://struts.apache.org/tags-nested" prefix="nested" %>

<div id="mhv-error-box">
<img src="resources/images/icon_error-conditional.gif" alt="Important Message" title="Important Message" class="mhv-error-icon"/>
<div id="mhv-error-message-conditional">
<span class="mhv-error-message-header">Terms and Conditions was changed on <netui:label value="${pageFlow.lastModifiedTimeFormatted}"></netui:label></span>
<span class="mhv-error-text">You must accept the changed Terms and Conditions in order to use your My HealtheVet account. Accepting the Terms and Conditions allows you to use the portions of My HealtheVet that require an account (such as prescription refill and the places where you self-enter information). To accept the new Terms and Conditions, click the “I Accept” button below. </br>
<b>Not accepting </b> the changed Terms and Conditions will result in only having access to those portions of My Health<span class="mhv-e">e</span>Vet that do not require an account (such as the Health Library). If you choose not to accept these changed Terms and Conditions, you may obtain your self-entered information by contacting the My HealtheVet Help Desk. If you do not want to accept the new Terms and Conditions, click the “I Do Not Accept” button below.</span>
</div>
</div>

<%-- The pz:contentQuery tag performs a content attribute search for content in the Repository Manager,
        returning an array of Node objects from the Repository Manager. --%>
 <pz:contentSelector id="nodes" rule="termsAndConditionsAbstract" sortBy="display_order ASC" />
 <nested:notEmpty name="nodes">                    
     <utility:forEachInArray array="<%=nodes%>" id="node" type="com.bea.content.Node" counterId="i">
  
   <nested:notEmpty name="node">                    
    <ad:render id="node" />
   </nested:notEmpty> 

	<br />

</utility:forEachInArray>
</nested:notEmpty> 
<netui:form action="termsAndConditionsAction">
	<div class="mhv-button-container-align-right"><netui:anchor action="viewFullTermsAndConditions">Read All Terms and Conditions</netui:anchor>
	<br />
	<br />
	<netui:button action="accept" value="I Accept" styleClass="mhv-input-button" />
    <netui:button action="rejectFirstTime"	value="I Do Not Accept" styleClass="mhv-input-button" /></div>
</netui:form>
  