<%@taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/ad" prefix="ad"%>
<%@ taglib uri="http://www.bea.com/servers/portal/tags/personalization" prefix="pz"%>
<%@ taglib uri="http://www.bea.com/servers/p13n/tags/utility" prefix="utility"%>


<div id="mhv-error-box">
<img src="resources/images/icon_error-critical.gif" alt="Alert" title="Alert" class="mhv-error-icon"/>
	<div id="mhv-error-message-critical">
		<span class="mhv-error-message-header">Are You Sure?</span>
		
		<span class="mhv-error-text">
		
		<p>Are you sure you <strong>Do Not Want to Accept</strong> the new Terms &amp; Conditions at this time?</p>
		
		<p>By not accepting:</p>
		
		<ul>
		<li>You will not be able to login to your My Health<span class="mhv-e">e</span>Vet account</li>
		<li>Your My Health<span class="mhv-e">e</span>Vet account will no longer be active</li>
		</ul>
		
		<p>If you decide to accept the Terms and Conditions, select 'I Accept MHV Terms and Conditions' button'</p>
		
		<p>If you still do not want to accept, select 'I Do Not Accept the Terms &amp; Conditions button</p>
		
		<p><strong>Note</strong>: If you choose <strong>not to accept</strong> at this time, you will be asked again the next time you login to My Health<span class="mhv-e">e</span>Vet</p>
		
		<p>If you need help or have questions, <a href="<%=request.getContextPath()%>/ShowBinary/BEA%20Repository/contact_mhv_terms-conditions1.html" target="_blank">Contact MHV</a></p>
	</div>
</div>


<%-- The pz:contentQuery tag performs a content attribute search for content in the Repository Manager,
        returning an array of Node objects from the Repository Manager. --%>
 <!--<pz:contentSelector id="nodes" rule="termsAndConditions" sortBy="display_order ASC" />
     <utility:forEachInArray array="<%=nodes%>" id="node" type="com.bea.content.Node" counterId="i">
  

	<ad:render id="node" />-->
	<br />

</utility:forEachInArray>
<div align="center" style="font-weight: bold;"><h2>Are you certain that you do not want to accept </br>
	the revised Terms and Conditions ?</h2>
</div>

<netui:form action="termsAndConditionsAction">
	<!-- 
	CR 1160 - Secured Message Terms and Conditions Implementation
	Added SM T&C
	-->
	<netui:checkBox dataSource="actionForm.userProfileAcceptSMTerms" tagId="userProfileAcceptSMTerms"/> <netui:label for="userProfileAcceptSMTerms" value="Accept"/> <a href="<%=request.getContextPath()%>/gov/va/med/mhv/usermgmt/register/smTermsAndConditions.jsp" target="_blank">Secure Messaging Terms & Conditions</a>
	<br />
	<br />
	<div class="mhv-form-help-container">
		Secure Messaging is a way for VA Patients to send electronic messages to their VA health care teams.  
		Secure Messaging is available to users with an <a href="<%=request.getContextPath()%>/ShowBinary/BEA%20Repository/ipa/ipa_instructions-anonymous.html" target="_blank">upgraded MHV account.</a> 
		Agreeing to the Secure Messaging Terms & Conditions here allows you to use Secure Messaging if/when you meet the user criteria.				
	</div>
	<br />
	<br />
	<div class="mhv-button-container-align-right">
	<br />
	<br />
	<netui:button action="accept" value="I Accept MHV Terms and Conditions" styleClass="mhv-input-button" />
    <netui:button action="reject"	value="I Do Not Accept Terms and Conditions" styleClass="mhv-input-button" />
    </div>
</netui:form>